From: "BlueT - Matthew Lien - 練喆明" <bluet@bluet.org>
To: "Ludovic Courtès" <ludo@gnu.org>
Cc: bug-guix@gnu.org
Subject: Re: FTBFS on GNU/Hurd
Date: Fri, 05 Jul 2013 17:05:37 +0800 [thread overview]
Message-ID: <51D68C61.4020806@BlueT.org> (raw)
In-Reply-To: <87sizu9hwm.fsf@gnu.org>
[-- Attachment #1: Type: text/plain, Size: 3145 bytes --]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
Hi Ludo',
Yup I know running anything with root is dangerous, so I created a clean
sandbox VM and build Guix in it with root to avoid any error caused by
user permission, to clarify those problems.
But thanks still for mentioning that. :-)
Tried the fix and got different error. Same Failed: 10.
I commented out the line '#define HAVE_HUP_NOTIFICATION', and here's all
changes and current ENV on my sandbox now, as a summary.
(logs in attachment.)
root@GuixOnHurd:~/guix# git diff
diff --git a/guix/store.scm b/guix/store.scm
index 57e1ca0..c565c7b 100644
- --- a/guix/store.scm
+++ b/guix/store.scm
@@ -266,8 +266,16 @@ operate, should the disk become full. Return a
server object."
(socket PF_UNIX SOCK_STREAM 0)))
(a (make-socket-address PF_UNIX file)))
+ (catch 'system-error
+ (lambda ()
;; Enlarge the receive buffer.
- - (setsockopt s SOL_SOCKET SO_RCVBUF (* 12 1024))
+ ;;(setsockopt s SOL_SOCKET SO_RCVBUF (* 12 1024))
+ (setsockopt s SOL_SOCKET SO_RCVBUF (* 12 1024)))
+ (lambda args
+ ;; On the Hurd, the pflocal server's implementation of
`socket_setopt'
+ ;; always returns ENOPROTOOPT. Ignore it.
+ (unless (= (system-error-errno args) ENOPROTOOPT)
+ (apply throw args))))
(catch 'system-error
(cut connect s a)
diff --git a/nix/nix-daemon/guix-daemon.cc b/nix/nix-daemon/guix-daemon.cc
index 5f0710c..e2c30e7 100644
- --- a/nix/nix-daemon/guix-daemon.cc
+++ b/nix/nix-daemon/guix-daemon.cc
@@ -171,10 +171,10 @@ parse_opt (int key, char *arg, struct argp_state
*state)
settings.thisSystem = arg;
break;
default:
- - return ARGP_ERR_UNKNOWN;
+ return (error_t) ARGP_ERR_UNKNOWN;
}
- - return 0;
+ return (error_t) 0;
}
/* Argument parsing. */
root@GuixOnHurd:~/guix# diff nix/nix-daemon/nix-daemon.cc
nix-upstream/src/nix-daemon/nix-daemon.cc
30c30
< /* #define HAVE_HUP_NOTIFICATION */
- ---
> #define HAVE_HUP_NOTIFICATION
On 2013年07月05日 04:42, Ludovic Courtès wrote:
> Matthew Lien <bluet@bluet.org> skribis:
>
>> warning: daemon is running as root, so using `--build-users-group' is highly recommended
>
> This is just a warning, but really, don’t run everything as ‘root’.
>
>> child error: F_SETOWN: Operation not supported
>
> Another unimplemented feature:
>
> http://git.savannah.gnu.org/cgit/hurd/hurd.git/tree/pflocal/io.c#n569
>
> In nix/nix-daemon/nix-daemon.cc, could you comment out the line that
> reads ‘#define HAVE_HUP_NOTIFICATION’, then rebuild and try again?
>
> Let me know if that works and I’ll propose a patch for Nix, which is
> where this code comes from.
>
> TIA,
> Ludo’.
>
- --
/ Just another [ Perl | FOSS | Security ] Hacker. /
/ BlueT = Matthew Lien = 練喆明 /
/ http://BlueT.org /
/ GPG: 4A293CBD /
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/
iEYEARECAAYFAlHWjF8ACgkQvRNvgEopPL02SQCfX+XrowLzxtiCvKE1mmoZF9Wb
/lsAn1+H0u0kqB//jFR92rm689wLH6RX
=FW1J
-----END PGP SIGNATURE-----
[-- Attachment #2: utils.log --]
[-- Type: text/x-log, Size: 1434 bytes --]
%%%% Starting test utils
Group begin: utils
Test begin:
test-name: "bytevector->base16-string->bytevector"
Test end:
result-kind: pass
actual-value: #t
Test begin:
test-name: "gnu-triplet->nix-system"
Test end:
result-kind: pass
actual-value: #t
Test begin:
test-name: "package-name->name+version"
Test end:
result-kind: pass
actual-value: #t
Test begin:
test-name: "string-tokenize*"
Test end:
result-kind: pass
actual-value: (("foo") ("foo" "bar" "baz") ("foo" "bar" "") ("foo" "bar" "baz"))
expected-value: (("foo") ("foo" "bar" "baz") ("foo" "bar" "") ("foo" "bar" "baz"))
Test begin:
test-name: "fold2, 1 list"
Test end:
result-kind: pass
actual-value: ((4 3 2 1 0) (-4 -3 -2 -1 0))
expected-value: ((4 3 2 1 0) (-4 -3 -2 -1 0))
Test begin:
test-name: "fold2, 2 lists"
Test end:
result-kind: pass
actual-value: (((d . 3) (c . 2) (b . 1) (a . 0)) ((d . -3) (c . -2) (b . -1) (a . 0)))
expected-value: (((d . 3) (c . 2) (b . 1) (a . 0)) ((d . -3) (c . -2) (b . -1) (a . 0)))
Test begin:
test-name: "filtered-port, file"
Test end:
result-kind: fail
actual-value: #f
Test begin:
test-name: "filtered-port, non-file"
Test end:
result-kind: pass
actual-value: #t
Test begin:
test-name: "store-path-package-name"
Test end:
result-kind: pass
actual-value: "bash-4.2-p24"
expected-value: "bash-4.2-p24"
Group end: utils
# of expected passes 8
# of unexpected failures 1
[-- Attachment #3: ui.log --]
[-- Type: text/x-log, Size: 524 bytes --]
%%%% Starting test ui
Group begin: ui
Test begin:
test-name: "fill-paragraph"
Test end:
result-kind: pass
actual-value: #t
Test begin:
test-name: "fill-paragraph, consecutive newlines"
Test end:
result-kind: pass
actual-value: #t
Test begin:
test-name: "fill-paragraph, large unbreakable word"
Test end:
result-kind: pass
actual-value: ("Here is a" "very-very-long-word" "and that's" "it.")
expected-value: ("Here is a" "very-very-long-word" "and that's" "it.")
Group end: ui
# of expected passes 3
[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #4: test-suite.log --]
[-- Type: text/x-log; name="test-suite.log", Size: 33121 bytes --]
====================================
GNU Guix 0.3: ./test-suite.log
====================================
# TOTAL: 19
# PASS: 9
# SKIP: 0
# XFAIL: 0
# FAIL: 10
# XPASS: 0
# ERROR: 0
.. contents:: :depth: 2
FAIL: tests/builders
====================
warning: daemon is running as root, so using `--build-users-group' is highly recommended
accepted connection from pid -1, uid 4294967295
Backtrace:
In unknown file:
?: 19 [catch-closure]
In ice-9/boot-9.scm:
63: 18 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
407: 17 [eval # #]
In ice-9/boot-9.scm:
2111: 16 [save-module-excursion #<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
3653: 15 [#<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
1380: 14 [%start-stack load-stack ...]
1385: 13 [#<procedure 81d95d0 ()>]
In unknown file:
?: 12 [primitive-load "/root/guix/./tests/builders.scm"]
In ice-9/eval.scm:
428: 11 [eval # ()]
In srfi/srfi-1.scm:
578: 10 [map #<procedure 86606a8 at ice-9/eval.scm:396:13 (a)> (# # # # ...)]
In ice-9/eval.scm:
368: 9 [eval # #]
In guix/packages.scm:
309: 8 [cache # "i686-" #<procedure thunk ()>]
384: 7 [thunk]
In srfi/srfi-1.scm:
576: 6 [map #<procedure 8660480 at guix/packages.scm:385:39 (t-4874)> (# # # ...)]
In guix/packages.scm:
346: 5 [expand-input # # # ...]
309: 4 [cache # "i686-" #<procedure thunk ()>]
384: 3 [thunk]
276: 2 [package-transitive-inputs #]
In gnu/packages/bootstrap.scm:
128: 1 [inputs]
281: 0 [inputs]
gnu/packages/bootstrap.scm:281:22: In procedure inputs:
gnu/packages/bootstrap.scm:281:22: Throw to key `match-error' with args `("match" "no matching pattern")'.
2 operations
FAIL: tests/derivations
=======================
warning: daemon is running as root, so using `--build-users-group' is highly recommended
accepted connection from pid -1, uid 4294967295
Backtrace:
In ice-9/boot-9.scm:
149: 14 [catch #t #<catch-closure 81f1620> ...]
157: 13 [#<procedure 81998c0 ()>]
In unknown file:
?: 12 [catch-closure]
In ice-9/boot-9.scm:
63: 11 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
407: 10 [eval # #]
In ice-9/boot-9.scm:
2111: 9 [save-module-excursion #<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
3653: 8 [#<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
1380: 7 [%start-stack load-stack ...]
1385: 6 [#<procedure 81d95d0 ()>]
In unknown file:
?: 5 [primitive-load "/root/guix/./tests/derivations.scm"]
In ice-9/eval.scm:
392: 4 [eval # ()]
In guix/packages.scm:
309: 3 [cache # "i686-" #<procedure thunk ()>]
396: 2 [thunk]
In gnu/packages/bootstrap.scm:
163: 1 [build # "guile-bootstrap-2.0" #f ...]
In unknown file:
?: 0 [scm-error misc-error #f ...]
ERROR: In procedure scm-error:
ERROR: bootstrap binary not found "tar" "i686-"
1 operations
FAIL: tests/utils
=================
warning: daemon is running as root, so using `--build-users-group' is highly recommended
%%%% Starting test utils (Writing full log to "utils.log")
%%%% Starting test utils (Writing full log to "utils.log")
gzip: stdin: file size changed while zipping
%%%% Starting test utils (Writing full log to "utils.log")
FAIL filtered-port, file
%%%% Starting test utils (Writing full log to "utils.log")
FAIL filtered-port, file
%%%% Starting test utils (Writing full log to "utils.log")
FAIL filtered-port, file
%%%% Starting test utils (Writing full log to "utils.log")
FAIL filtered-port, file
;;; (#t)
# of expected passes 8
# of unexpected failures 1
FAIL: tests/packages
====================
warning: daemon is running as root, so using `--build-users-group' is highly recommended
accepted connection from pid -1, uid 4294967295
In guix/packages.scm:
309: 19 [cache #<package tar-1.26 gnu/packages/base.scm:1033 8634000> "i686-" ...]
384: 18 [thunk]
In srfi/srfi-1.scm:
578: 17 [map #<procedure 8a94c90 at guix/packages.scm:385:39 (t-4874)> (# # # ...)]
In guix/packages.scm:
346: 16 [expand-input # # # ...]
309: 15 [cache #<package bash-4.2 gnu/packages/base.scm:1006 8634160> "i686-" ...]
384: 14 [thunk]
In srfi/srfi-1.scm:
578: 13 [map #<procedure 8a94468 at guix/packages.scm:385:39 (t-4874)> (# # # ...)]
In guix/packages.scm:
346: 12 [expand-input # # # ...]
309: 11 [cache #<package gcc-4.7.3 gnu/packages/gcc.scm:36 8a79630> "i686-" ...]
384: 10 [thunk]
In srfi/srfi-1.scm:
578: 9 [map #<procedure 8a942e8 at guix/packages.scm:385:39 (t-4874)> (# # # ...)]
In guix/packages.scm:
361: 8 [expand-input # # # ...]
In guix/download.scm:
189: 7 [url-fetch # "mirror://gnu/gmp/gmp-5.1.1.tar.xz" sha256 ...]
In guix/packages.scm:
309: 6 [cache # "i686-" #<procedure thunk ()>]
396: 5 [thunk]
In gnu/packages/bootstrap.scm:
163: 4 [build # "guile-bootstrap-2.0" #f ...]
In unknown file:
?: 3 [scm-error misc-error #f ...]
In ice-9/boot-9.scm:
102: 2 [#<procedure 8a785e0 at ice-9/boot-9.scm:97:6 (thrown-k . args)> misc-error ...]
In ice-9/eval.scm:
368: 1 [eval # #]
In unknown file:
?: 0 [make-stack #t]
In guix/packages.scm:
309: 19 [cache #<package tar-1.26 gnu/packages/base.scm:1033 8634000> "i686-" ...]
384: 18 [thunk]
In srfi/srfi-1.scm:
578: 17 [map #<procedure 865cb40 at guix/packages.scm:385:39 (t-4874)> (# # # ...)]
In guix/packages.scm:
346: 16 [expand-input # # # ...]
309: 15 [cache #<package bash-4.2 gnu/packages/base.scm:1006 8634160> "i686-" ...]
384: 14 [thunk]
In srfi/srfi-1.scm:
578: 13 [map #<procedure 865c780 at guix/packages.scm:385:39 (t-4874)> (# # # ...)]
In guix/packages.scm:
346: 12 [expand-input # # # ...]
309: 11 [cache #<package gcc-4.7.3 gnu/packages/gcc.scm:36 8a79630> "i686-" ...]
384: 10 [thunk]
In srfi/srfi-1.scm:
578: 9 [map #<procedure 865c6d8 at guix/packages.scm:385:39 (t-4874)> (# # # ...)]
In guix/packages.scm:
361: 8 [expand-input # # # ...]
In guix/download.scm:
189: 7 [url-fetch # "mirror://gnu/gmp/gmp-5.1.1.tar.xz" sha256 ...]
In guix/packages.scm:
309: 6 [cache # "i686-" #<procedure thunk ()>]
396: 5 [thunk]
In gnu/packages/bootstrap.scm:
163: 4 [build # "guile-bootstrap-2.0" #f ...]
In unknown file:
?: 3 [scm-error misc-error #f ...]
In ice-9/boot-9.scm:
102: 2 [#<procedure 87ec680 at ice-9/boot-9.scm:97:6 (thrown-k . args)> misc-error ...]
In ice-9/eval.scm:
368: 1 [eval # #]
In unknown file:
?: 0 [make-stack #t]
In ice-9/boot-9.scm:
2111: 19 [save-module-excursion #<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
3653: 18 [#<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
1380: 17 [%start-stack load-stack ...]
1385: 16 [#<procedure 81d95d0 ()>]
In unknown file:
?: 15 [primitive-load "/root/guix/./tests/packages.scm"]
In ice-9/eval.scm:
407: 14 [eval # #]
392: 13 [eval # #]
In ice-9/boot-9.scm:
149: 12 [catch #t #<procedure 8865408 at ice-9/eval.scm:396:13 ()> ...]
157: 11 [#<procedure 898e3e8 ()>]
In ice-9/eval.scm:
392: 10 [eval # #]
In guix/packages.scm:
309: 9 [cache #<package trivial-0 tests/packages.scm:114 89737e8> "i686-" ...]
396: 8 [thunk]
In guix/build-system/trivial.scm:
49: 7 [trivial-build # "trivial-0" #f ...]
In guix/packages.scm:
309: 6 [cache # "i686-" #<procedure thunk ()>]
396: 5 [thunk]
In gnu/packages/bootstrap.scm:
163: 4 [build # "guile-bootstrap-2.0" #f ...]
In unknown file:
?: 3 [scm-error misc-error #f ...]
In ice-9/boot-9.scm:
102: 2 [#<procedure 8980240 at ice-9/boot-9.scm:97:6 (thrown-k . args)> misc-error ...]
In ice-9/eval.scm:
368: 1 [eval # #]
In unknown file:
?: 0 [make-stack #t]
In ice-9/boot-9.scm:
2111: 19 [save-module-excursion #<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
3653: 18 [#<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
1380: 17 [%start-stack load-stack ...]
1385: 16 [#<procedure 81d95d0 ()>]
In unknown file:
?: 15 [primitive-load "/root/guix/./tests/packages.scm"]
In ice-9/eval.scm:
407: 14 [eval # #]
392: 13 [eval # #]
In ice-9/boot-9.scm:
149: 12 [catch #t #<procedure 87a4000 at ice-9/eval.scm:396:13 ()> ...]
157: 11 [#<procedure 8928028 ()>]
In ice-9/eval.scm:
392: 10 [eval # #]
In guix/packages.scm:
309: 9 [cache # "i686-" #<procedure thunk ()>]
396: 8 [thunk]
In guix/build-system/trivial.scm:
49: 7 [trivial-build # "trivial-with-input-file-0" #f ...]
In guix/packages.scm:
309: 6 [cache # "i686-" #<procedure thunk ()>]
396: 5 [thunk]
In gnu/packages/bootstrap.scm:
163: 4 [build # "guile-bootstrap-2.0" #f ...]
In unknown file:
?: 3 [scm-error misc-error #f ...]
In ice-9/boot-9.scm:
102: 2 [#<procedure 89470e0 at ice-9/boot-9.scm:97:6 (thrown-k . args)> misc-error ...]
In ice-9/eval.scm:
368: 1 [eval # #]
In unknown file:
?: 0 [make-stack #t]
In ice-9/boot-9.scm:
157: 19 [#<procedure 81998c0 ()>]
In unknown file:
?: 18 [catch-closure]
In ice-9/boot-9.scm:
63: 17 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
407: 16 [eval # #]
In ice-9/boot-9.scm:
2111: 15 [save-module-excursion #<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
3653: 14 [#<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
1380: 13 [%start-stack load-stack ...]
1385: 12 [#<procedure 81d95d0 ()>]
In unknown file:
?: 11 [primitive-load "/root/guix/./tests/packages.scm"]
In ice-9/eval.scm:
407: 10 [eval # #]
392: 9 [eval # #]
In ice-9/boot-9.scm:
149: 8 [catch #t #<procedure 87b6228 at ice-9/eval.scm:396:13 ()> ...]
157: 7 [#<procedure 9739cf8 ()>]
In ice-9/eval.scm:
392: 6 [eval # #]
In guix/packages.scm:
309: 5 [cache # "i686-" #<procedure thunk ()>]
384: 4 [thunk]
In srfi/srfi-1.scm:
578: 3 [map #<procedure 87b9a98 at guix/packages.scm:385:39 (t-4874)> (#)]
In ice-9/boot-9.scm:
102: 2 [#<procedure 973bcc0 at ice-9/boot-9.scm:97:6 (thrown-k . args)> srfi-34 #]
In ice-9/eval.scm:
368: 1 [eval # #]
In unknown file:
?: 0 [make-stack #t]
In guix/packages.scm:
309: 19 [cache # "i686-" #<procedure thunk ()>]
384: 18 [thunk]
In srfi/srfi-1.scm:
578: 17 [map #<procedure 9756588 at guix/packages.scm:385:39 (t-4874)> (# # # ...)]
In guix/packages.scm:
346: 16 [expand-input # # # ...]
309: 15 [cache #<package bash-4.2 gnu/packages/base.scm:1006 9767840> "i686-" ...]
384: 14 [thunk]
In srfi/srfi-1.scm:
578: 13 [map #<procedure 9797be8 at guix/packages.scm:385:39 (t-4874)> (# # # ...)]
In guix/packages.scm:
346: 12 [expand-input # # # ...]
309: 11 [cache #<package gcc-4.7.3 gnu/packages/gcc.scm:36 97671b8> "i686-" ...]
384: 10 [thunk]
In srfi/srfi-1.scm:
578: 9 [map #<procedure 9797a20 at guix/packages.scm:385:39 (t-4874)> (# # # ...)]
In guix/packages.scm:
361: 8 [expand-input # # # ...]
In guix/download.scm:
189: 7 [url-fetch # "mirror://gnu/gmp/gmp-5.1.1.tar.xz" sha256 ...]
In guix/packages.scm:
309: 6 [cache # "i686-" #<procedure thunk ()>]
396: 5 [thunk]
In gnu/packages/bootstrap.scm:
163: 4 [build # "guile-bootstrap-2.0" #f ...]
In unknown file:
?: 3 [scm-error misc-error #f ...]
In ice-9/boot-9.scm:
102: 2 [#<procedure 863b800 at ice-9/boot-9.scm:97:6 (thrown-k . args)> misc-error ...]
In ice-9/eval.scm:
368: 1 [eval # #]
In unknown file:
?: 0 [make-stack #t]
In guix/packages.scm:
309: 19 [cache # "i686-" #<procedure thunk ()>]
384: 18 [thunk]
In srfi/srfi-1.scm:
578: 17 [map #<procedure 97416f0 at guix/packages.scm:385:39 (t-4874)> (# # # ...)]
In guix/packages.scm:
346: 16 [expand-input # # # ...]
309: 15 [cache #<package bash-4.2 gnu/packages/base.scm:1006 9767840> "i686-" ...]
384: 14 [thunk]
In srfi/srfi-1.scm:
578: 13 [map #<procedure 97411c8 at guix/packages.scm:385:39 (t-4874)> (# # # ...)]
In guix/packages.scm:
346: 12 [expand-input # # # ...]
309: 11 [cache #<package gcc-4.7.3 gnu/packages/gcc.scm:36 97671b8> "i686-" ...]
384: 10 [thunk]
In srfi/srfi-1.scm:
578: 9 [map #<procedure 97410d8 at guix/packages.scm:385:39 (t-4874)> (# # # ...)]
In guix/packages.scm:
361: 8 [expand-input # # # ...]
In guix/download.scm:
189: 7 [url-fetch # "mirror://gnu/gmp/gmp-5.1.1.tar.xz" sha256 ...]
In guix/packages.scm:
309: 6 [cache # "i686-" #<procedure thunk ()>]%%%% Starting test packages (Writing full log to "packages.log")
FAIL package-field-location
;;; (x (("b" #<package b-0 tests/packages.scm:81 8a10268>) ("b/a" #<package a-0 tests/packages.scm:80 8a102c0>) ("c" #<package c-0 tests/packages.scm:83 8a10210>) ("d" #<package d-0 tests/packages.scm:85 8a101b8>) ("d/x" "something.drv")))
FAIL return values
FAIL package-output
FAIL trivial
FAIL trivial with local file as input
FAIL trivial with system-dependent input
FAIL package-cross-derivation
FAIL package-cross-derivation, trivial-build-system
FAIL GNU Make, bootstrap
# of expected passes 6
# of unexpected failures 9
396: 5 [thunk]
In gnu/packages/bootstrap.scm:
163: 4 [build # "guile-bootstrap-2.0" #f ...]
In unknown file:
?: 3 [scm-error misc-error #f ...]
In ice-9/boot-9.scm:
102: 2 [#<procedure 8a8b140 at ice-9/boot-9.scm:97:6 (thrown-k . args)> misc-error ...]
In ice-9/eval.scm:
368: 1 [eval # #]
In unknown file:
?: 0 [make-stack #t]
In ice-9/boot-9.scm:
1380: 19 [%start-stack load-stack ...]
1385: 18 [#<procedure 81d95d0 ()>]
In unknown file:
?: 17 [primitive-load "/root/guix/./tests/packages.scm"]
In ice-9/eval.scm:
407: 16 [eval # #]
392: 15 [eval # #]
In ice-9/boot-9.scm:
149: 14 [catch #t #<procedure a4066a8 at ice-9/eval.scm:396:13 ()> ...]
157: 13 [#<procedure a400690 ()>]
In ice-9/eval.scm:
392: 12 [eval # #]
In guix/packages.scm:
309: 11 [cache # "i686-" #<procedure thunk ()>]
384: 10 [thunk]
In srfi/srfi-1.scm:
576: 9 [map #<procedure a406558 at guix/packages.scm:385:39 (t-4874)> (# # # ...)]
In guix/packages.scm:
346: 8 [expand-input # # # ...]
309: 7 [cache # "i686-" #<procedure thunk ()>]
384: 6 [thunk]
276: 5 [package-transitive-inputs #]
In gnu/packages/bootstrap.scm:
128: 4 [inputs]
281: 3 [inputs]
In ice-9/boot-9.scm:
102: 2 [#<procedure a409e60 at ice-9/boot-9.scm:97:6 (thrown-k . args)> match-error ...]
In ice-9/eval.scm:
368: 1 [eval # #]
In unknown file:
?: 0 [make-stack #t]
5 operations
FAIL: tests/store
=================
warning: daemon is running as root, so using `--build-users-group' is highly recommended
accepted connection from pid -1, uid 4294967295
;;; note: auto-compilation is enabled, set GUILE_AUTO_COMPILE=0
;;; or pass the --no-auto-compile argument to disable.
;;; compiling /root/guix/nix/scripts/list-runtime-roots
;;; compiled /root/guix/test-tmp/var/17600/cache-17600/guile/ccache/2.0-LE-4-2.0/root/guix/nix/scripts/list-runtime-roots.go
Backtrace:
In ice-9/boot-9.scm:
149: 13 [catch #t #<catch-closure 82fbb60> ...]
157: 12 [#<procedure 82c6960 ()>]
In unknown file:
?: 11 [catch-closure]
In ice-9/boot-9.scm:
63: 10 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
407: 9 [eval # #]
In ice-9/boot-9.scm:
2111: 8 [save-module-excursion #<procedure 829c080 at ice-9/boot-9.scm:3646:3 ()>]
3651: 7 [#<procedure 829c080 at ice-9/boot-9.scm:3646:3 ()>]
In unknown file:
?: 6 [load-compiled/vm "/root/guix/test-tmp/var/17600/cache-17600/guile/ccache/2.0-LE-4-2.0/root/guix/nix/scripts/list-runtime-roots.go"]
In nix/scripts/list-runtime-roots:
116: 5 [#<procedure 8415ec0 ()>]
In ice-9/boot-9.scm:
149: 4 [catch system ...]
157: 3 [#<procedure 8535988 ()>]
In nix/scripts/list-runtime-roots:
85: 2 [#<procedure 8415540 at nix/scripts/list-runtime-roots:84:4 ()>]
In ice-9/popen.scm:
142: 1 [open-pipe* "r" "lsof" "-n" "-w" "-F" "n"]
In unknown file:
?: 0 [execlp "lsof" "lsof" "-n" "-w" "-F" "n"]
ERROR: In procedure execlp:
ERROR: In procedure execlp: No such file or directory
;;; note: auto-compilation is enabled, set GUILE_AUTO_COMPILE=0
;;; or pass the --no-auto-compile argument to disable.
;;; compiling /root/guix/nix/scripts/list-runtime-roots
;;; compiled /root/guix/test-tmp/var/17600/cache-17600/guile/ccache/2.0-LE-4-2.0/root/guix/nix/scripts/list-runtime-roots.go
Backtrace:
In ice-9/boot-9.scm:
149: 13 [catch #t #<catch-closure 82fbb60> ...]
157: 12 [#<procedure 82c6960 ()>]
In unknown file:
?: 11 [catch-closure]
In ice-9/boot-9.scm:
63: 10 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
407: 9 [eval # #]
In ice-9/boot-9.scm:
2111: 8 [save-module-excursion #<procedure 829c080 at ice-9/boot-9.scm:3646:3 ()>]
3651: 7 [#<procedure 829c080 at ice-9/boot-9.scm:3646:3 ()>]
In unknown file:
?: 6 [load-compiled/vm "/root/guix/test-tmp/var/17600/cache-17600/guile/ccache/2.0-LE-4-2.0/root/guix/nix/scripts/list-runtime-roots.go"]
In nix/scripts/list-runtime-roots:
116: 5 [#<procedure 830d5a0 ()>]
In ice-9/boot-9.scm:
149: 4 [catch system ...]
157: 3 [#<procedure 83b0f78 ()>]
In nix/scripts/list-runtime-roots:
85: 2 [#<procedure 83aad50 at nix/scripts/list-runtime-roots:84:4 ()>]
In ice-9/popen.scm:
142: 1 [open-pipe* "r" "lsof" "-n" "-w" "-F" "n"]
In unknown file:
?: 0 [execlp "lsof" "lsof" "-n" "-w" "-F" "n"]
ERROR: In procedure execlp:
ERROR: In procedure execlp: No such file or directory
accepted connection from pid -1, uid 4294967295
accepted connection from pid -1, uid 4294967295
0 operations
accepted connection from pid -1, uid 4294967295
0 operations
accepted connection from pid -1, uid 4294967295
0 operations
%%%% Starting test store (Writing full log to "store.log")
FAIL dead-paths
FAIL dead path can be explicitly collected
FAIL derivers
FAIL no substitutes
FAIL substitute query
FAIL substitute
FAIL substitute --fallback
# of expected passes 4
# of unexpected failures 7
finding garbage collector roots...
determining live/dead paths...
finding garbage collector roots...
In ice-9/boot-9.scm:
149: 18 [catch #t #<catch-closure 81f1620> ...]
157: 17 [#<procedure 81998c0 ()>]
In unknown file:
?: 16 [catch-closure]
In ice-9/boot-9.scm:
63: 15 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
407: 14 [eval # #]
In ice-9/boot-9.scm:
2111: 13 [save-module-excursion #<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
3653: 12 [#<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
1380: 11 [%start-stack load-stack ...]
1385: 10 [#<procedure 81d95d0 ()>]
In unknown file:
?: 9 [primitive-load "/root/guix/./tests/store.scm"]
In ice-9/eval.scm:
407: 8 [eval # #]
392: 7 [eval # #]
In ice-9/boot-9.scm:
149: 6 [catch #t #<procedure 864a888 at ice-9/eval.scm:396:13 ()> ...]
157: 5 [#<procedure 8630af0 ()>]
In ice-9/r4rs.scm:
39: 4 [call-with-values #<procedure 864a870 at ice-9/eval.scm:396:13 ()> ...]
In guix/store.scm:
583: 3 [run-gc # 3 # ...]
In ice-9/boot-9.scm:
102: 2 [#<procedure 8648fc0 at ice-9/boot-9.scm:97:6 (thrown-k . args)> srfi-34 #]
In ice-9/eval.scm:
368: 1 [eval # #]
In unknown file:
?: 0 [make-stack #t]
In ice-9/boot-9.scm:
149: 19 [catch #t #<catch-closure 81f1620> ...]
157: 18 [#<procedure 81998c0 ()>]
In unknown file:
?: 17 [catch-closure]
In ice-9/boot-9.scm:
63: 16 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
407: 15 [eval # #]
In ice-9/boot-9.scm:
2111: 14 [save-module-excursion #<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
3653: 13 [#<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
1380: 12 [%start-stack load-stack ...]
1385: 11 [#<procedure 81d95d0 ()>]
In unknown file:
?: 10 [primitive-load "/root/guix/./tests/store.scm"]
In ice-9/eval.scm:
407: 9 [eval # #]
392: 8 [eval # #]
In ice-9/boot-9.scm:
149: 7 [catch #t #<procedure 93bdea0 at ice-9/eval.scm:396:13 ()> ...]
157: 6 [#<procedure 93bffc8 ()>]
In ice-9/eval.scm:
392: 5 [eval # #]
In guix/store.scm:
475: 4 [#<procedure 840e2a0 at guix/store.scm:469:4 (server basename recursive? hash-algo file-name)> # ...]
In unknown file:
?: 3 [stat #f #f]
In ice-9/boot-9.scm:
102: 2 [#<procedure 93b7900 at ice-9/boot-9.scm:97:6 (thrown-k . args)> wrong-type-arg ...]
In ice-9/eval.scm:
368: 1 [eval # #]
In unknown file:
?: 0 [make-stack #t]
In unknown file:
?: 19 [catch-closure]
In ice-9/boot-9.scm:
63: 18 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
407: 17 [eval # #]
In ice-9/boot-9.scm:
2111: 16 [save-module-excursion #<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
3653: 15 [#<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
1380: 14 [%start-stack load-stack ...]
1385: 13 [#<procedure 81d95d0 ()>]
In unknown file:
?: 12 [primitive-load "/root/guix/./tests/store.scm"]
In ice-9/eval.scm:
407: 11 [eval # #]
392: 10 [eval # #]
In ice-9/boot-9.scm:
149: 9 [catch #t #<procedure 8611c48 at ice-9/eval.scm:396:13 ()> ...]
157: 8 [#<procedure 9287370 ()>]
In ice-9/eval.scm:
392: 7 [eval # #]
In guix/packages.scm:
309: 6 [cache # "i686-" #<procedure thunk ()>]
396: 5 [thunk]
In gnu/packages/bootstrap.scm:
163: 4 [build # "guile-bootstrap-2.0" #f ...]
In unknown file:
?: 3 [scm-error misc-error #f ...]
In ice-9/boot-9.scm:
102: 2 [#<procedure 87b0740 at ice-9/boot-9.scm:97:6 (thrown-k . args)> misc-error ...]
In ice-9/eval.scm:
368: 1 [eval # #]
In unknown file:
?: 0 [make-stack #t]
In unknown file:
?: 19 [catch-closure]
In ice-9/boot-9.scm:
63: 18 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
407: 17 [eval # #]
In ice-9/boot-9.scm:
2111: 16 [save-module-excursion #<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
3653: 15 [#<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
1380: 14 [%start-stack load-stack ...]
1385: 13 [#<procedure 81d95d0 ()>]
In unknown file:
?: 12 [primitive-load "/root/guix/./tests/store.scm"]
In ice-9/eval.scm:
407: 11 [eval # #]
392: 10 [eval # #]
In ice-9/boot-9.scm:
149: 9 [catch #t #<procedure 864d4c8 at ice-9/eval.scm:396:13 ()> ...]
157: 8 [#<procedure 8559438 ()>]
In ice-9/eval.scm:
392: 7 [eval # #]
In guix/packages.scm:
309: 6 [cache # "i686-" #<procedure thunk ()>]
396: 5 [thunk]
In gnu/packages/bootstrap.scm:
163: 4 [build # "guile-bootstrap-2.0" #f ...]
In unknown file:
?: 3 [scm-error misc-error #f ...]
In ice-9/boot-9.scm:
102: 2 [#<procedure 9370580 at ice-9/boot-9.scm:97:6 (thrown-k . args)> misc-error ...]
In ice-9/eval.scm:
368: 1 [eval # #]
In unknown file:
?: 0 [make-stack #t]
In ice-9/boot-9.scm:
63: 19 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
407: 18 [eval # #]
In ice-9/boot-9.scm:
2111: 17 [save-module-excursion #<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
3653: 16 [#<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
1380: 15 [%start-stack load-stack ...]
1385: 14 [#<procedure 81d95d0 ()>]
In unknown file:
?: 13 [primitive-load "/root/guix/./tests/store.scm"]
In ice-9/eval.scm:
407: 12 [eval # #]
392: 11 [eval # #]
In ice-9/boot-9.scm:
149: 10 [catch #t #<procedure 8611180 at ice-9/eval.scm:396:13 ()> ...]
157: 9 [#<procedure 92d2d48 ()>]
In ice-9/eval.scm:
392: 8 [eval # #]
368: 7 [eval # #]
In guix/packages.scm:
309: 6 [cache # "i686-" #<procedure thunk ()>]
396: 5 [thunk]
In gnu/packages/bootstrap.scm:
163: 4 [build # "guile-bootstrap-2.0" #f ...]
In unknown file:
?: 3 [scm-error misc-error #f ...]
In ice-9/boot-9.scm:
102: 2 [#<procedure 92c01c0 at ice-9/boot-9.scm:97:6 (thrown-k . args)> misc-error ...]
In ice-9/eval.scm:
368: 1 [eval # #]
In unknown file:
?: 0 [make-stack #t]
In ice-9/boot-9.scm:
63: 19 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
407: 18 [eval # #]
In ice-9/boot-9.scm:
2111: 17 [save-module-excursion #<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
3653: 16 [#<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
1380: 15 [%start-stack load-stack ...]
1385: 14 [#<procedure 81d95d0 ()>]
In unknown file:
?: 13 [primitive-load "/root/guix/./tests/store.scm"]
In ice-9/eval.scm:
407: 12 [eval # #]
392: 11 [eval # #]
In ice-9/boot-9.scm:
149: 10 [catch #t #<procedure 8590b88 at ice-9/eval.scm:396:13 ()> ...]
157: 9 [#<procedure 8630578 ()>]
In ice-9/eval.scm:
392: 8 [eval # #]
368: 7 [eval # #]
In guix/packages.scm:
309: 6 [cache # "i686-" #<procedure thunk ()>]
396: 5 [thunk]
In gnu/packages/bootstrap.scm:
163: 4 [build # "guile-bootstrap-2.0" #f ...]
In unknown file:
?: 3 [scm-error misc-error #f ...]
In ice-9/boot-9.scm:
102: 2 [#<procedure 85a0ea0 at ice-9/boot-9.scm:97:6 (thrown-k . args)> misc-error ...]
In ice-9/eval.scm:
368: 1 [eval # #]
In unknown file:
?: 0 [make-stack #t]
26 operations
0 operations
FAIL: tests/union
=================
warning: daemon is running as root, so using `--build-users-group' is highly recommended
accepted connection from pid -1, uid 4294967295
Backtrace:
In ice-9/boot-9.scm:
149: 14 [catch #t #<catch-closure 81f1620> ...]
157: 13 [#<procedure 81998c0 ()>]
In unknown file:
?: 12 [catch-closure]
In ice-9/boot-9.scm:
63: 11 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
407: 10 [eval # #]
In ice-9/boot-9.scm:
2111: 9 [save-module-excursion #<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
3653: 8 [#<procedure 8188060 at ice-9/boot-9.scm:3646:3 ()>]
1380: 7 [%start-stack load-stack ...]
1385: 6 [#<procedure 81d95d0 ()>]
In unknown file:
?: 5 [primitive-load "/root/guix/./tests/union.scm"]
In ice-9/eval.scm:
392: 4 [eval # ()]
In guix/packages.scm:
309: 3 [cache # "i686-" #<procedure thunk ()>]
396: 2 [thunk]
In gnu/packages/bootstrap.scm:
163: 1 [build # "guile-bootstrap-2.0" #f ...]
In unknown file:
?: 0 [scm-error misc-error #f ...]
ERROR: In procedure scm-error:
ERROR: bootstrap binary not found "tar" "i686-"
0 operations
FAIL: tests/guix-build
======================
warning: daemon is running as root, so using `--build-users-group' is highly recommended
+ guix build --version
;;; note: auto-compilation is enabled, set GUILE_AUTO_COMPILE=0
;;; or pass the --no-auto-compile argument to disable.
;;; compiling /root/guix/scripts/guix
;;; compiled /root/guix/test-tmp/var/17655/cache-17655/guile/ccache/2.0-LE-4-2.0/root/guix/scripts/guix.go
guix build (GNU Guix) 0.3
+ guix build -e +
accepted connection from pid -1, uid 4294967295
guix build: error: expression `+' does not evaluate to a package
0 operations
+ true
+ guix build -e '(@ (gnu packages bootstrap) %bootstrap-glibc)' -S
accepted connection from pid -1, uid 4294967295
guix build: error: package `glibc-bootstrap' has no source
0 operations
+ true
+ guix build -e '(@@ (gnu packages base) %bootstrap-guile)'
+ grep -e -guile-
accepted connection from pid -1, uid 4294967295
Backtrace:
In ice-9/boot-9.scm:
149: 16 [catch #t #<catch-closure 8200300> ...]
157: 15 [#<procedure 81ca8c0 ()>]
In unknown file:
?: 14 [catch-closure]
In ice-9/boot-9.scm:
63: 13 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
407: 12 [eval # #]
In ice-9/boot-9.scm:
2111: 11 [save-module-excursion #<procedure 8198080 at ice-9/boot-9.scm:3646:3 ()>]
3651: 10 [#<procedure 8198080 at ice-9/boot-9.scm:3646:3 ()>]
In unknown file:
?: 9 [load-compiled/vm "/root/guix/test-tmp/var/17655/cache-17655/guile/ccache/2.0-LE-4-2.0/root/guix/scripts/guix.go"]
In guix/ui.scm:
465: 8 [run-guix-command build "-e" "(@@ (gnu packages base) %bootstrap-guile)"]
In ice-9/boot-9.scm:
149: 7 [catch srfi-34 #<procedure 84b5780 at guix/ui.scm:148:2 ()> ...]
157: 6 [#<procedure 847aa28 ()>]
In guix/scripts/build.scm:
246: 5 [#<procedure 84a1558 at guix/scripts/build.scm:237:2 ()>]
In srfi/srfi-1.scm:
664: 4 [filter-map #<procedure 84acca0 at guix/scripts/build.scm:248:33 (expr)> #]
In guix/packages.scm:
309: 3 [cache # "i686-" #<procedure thunk ()>]
396: 2 [thunk]
In gnu/packages/bootstrap.scm:
163: 1 [build # "guile-bootstrap-2.0" #f ...]
In unknown file:
?: 0 [scm-error misc-error #f ...]
ERROR: In procedure scm-error:
ERROR: bootstrap binary not found "tar" "i686-"
0 operations
FAIL: tests/guix-gc
===================
+ guix gc --version
warning: daemon is running as root, so using `--build-users-group' is highly recommended
;;; note: auto-compilation is enabled, set GUILE_AUTO_COMPILE=0
;;; or pass the --no-auto-compile argument to disable.
;;; compiling /root/guix/scripts/guix
;;; compiled /root/guix/test-tmp/var/17743/cache-17743/guile/ccache/2.0-LE-4-2.0/root/guix/scripts/guix.go
guix gc (GNU Guix) 0.3
+ trap 'rm -f guix-gc-root' EXIT
+ rm -f guix-gc-root
++ guix build guile-bootstrap -d
accepted connection from pid -1, uid 4294967295
Backtrace:
In ice-9/boot-9.scm:
149: 16 [catch #t #<catch-closure 8200300> ...]
157: 15 [#<procedure 81ca8c0 ()>]
In unknown file:
?: 14 [catch-closure]
In ice-9/boot-9.scm:
63: 13 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
407: 12 [eval # #]
In ice-9/boot-9.scm:
2111: 11 [save-module-excursion #<procedure 8198080 at ice-9/boot-9.scm:3646:3 ()>]
3651: 10 [#<procedure 8198080 at ice-9/boot-9.scm:3646:3 ()>]
In unknown file:
?: 9 [load-compiled/vm "/root/guix/test-tmp/var/17743/cache-17743/guile/ccache/2.0-LE-4-2.0/root/guix/scripts/guix.go"]
In guix/ui.scm:
465: 8 [run-guix-command build "guile-bootstrap" "-d"]
In ice-9/boot-9.scm:
149: 7 [catch srfi-34 #<procedure 84b5780 at guix/ui.scm:148:2 ()> ...]
157: 6 [#<procedure 847aa28 ()>]
In guix/scripts/build.scm:
246: 5 [#<procedure 84a1558 at guix/scripts/build.scm:237:2 ()>]
In srfi/srfi-1.scm:
664: 4 [filter-map #<procedure 84acca0 at guix/scripts/build.scm:248:33 (expr)> #]
In guix/packages.scm:
309: 3 [cache # "i686-" #<procedure thunk ()>]
396: 2 [thunk]
In gnu/packages/bootstrap.scm:
163: 1 [build # "guile-bootstrap-2.0" #f ...]
In unknown file:
?: 0 [scm-error misc-error #f ...]
ERROR: In procedure scm-error:
ERROR: bootstrap binary not found "tar" "i686-"
0 operations
+ drv=
+ rm -f guix-gc-root
FAIL: tests/guix-package
========================
+ guix package --version
warning: daemon is running as root, so using `--build-users-group' is highly recommended
;;; note: auto-compilation is enabled, set GUILE_AUTO_COMPILE=0
;;; or pass the --no-auto-compile argument to disable.
;;; compiling /root/guix/scripts/guix
;;; compiled /root/guix/test-tmp/var/17722/cache-17722/guile/ccache/2.0-LE-4-2.0/root/guix/scripts/guix.go
guix package (GNU Guix) 0.3
+ profile=t-profile-17727
+ rm -f t-profile-17727
+ trap 'rm "$profile" "$profile-"[0-9]* ; rm -rf t-home-17727' EXIT
+ guix package --bootstrap -e +
guix package: error: expression `+' does not evaluate to a package
+ true
+ guix package --bootstrap -p t-profile-17727 -i guile-bootstrap
accepted connection from pid -1, uid 4294967295
Backtrace:
In ice-9/boot-9.scm:
149: 15 [catch #t #<catch-closure 81f1620> ...]
157: 14 [#<procedure 81998c0 ()>]
In unknown file:
?: 13 [catch-closure]
In ice-9/boot-9.scm:
63: 12 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
407: 11 [eval # #]
In ice-9/boot-9.scm:
2111: 10 [save-module-excursion #<procedure 8188080 at ice-9/boot-9.scm:3646:3 ()>]
3651: 9 [#<procedure 8188080 at ice-9/boot-9.scm:3646:3 ()>]
In unknown file:
?: 8 [load-compiled/vm "/root/guix/test-tmp/var/17722/cache-17722/guile/ccache/2.0-LE-4-2.0/root/guix/scripts/guix.go"]
In guix/ui.scm:
465: 7 [run-guix-command package "--bootstrap" ...]
In ice-9/boot-9.scm:
149: 6 [catch srfi-34 #<procedure 8647f50 at guix/ui.scm:148:2 ()> ...]
157: 5 [#<procedure 8641cd0 ()>]
In guix/scripts/package.scm:
929: 4 [#<procedure 8629c60 at guix/scripts/package.scm:919:8 ()>]
In guix/packages.scm:
309: 3 [cache # "i686-" #<procedure thunk ()>]
396: 2 [thunk]
In gnu/packages/bootstrap.scm:
163: 1 [build # "guile-bootstrap-2.0" #f ...]
In unknown file:
?: 0 [scm-error misc-error #f ...]
ERROR: In procedure scm-error:
ERROR: bootstrap binary not found "tar" "i686-"
1 operations
+ rm t-profile-17727 't-profile-17727-[0-9]*'
rm: 無法移除 ‘t-profile-17727’: 沒有此一檔案或目錄
rm: 無法移除 ‘t-profile-17727-[0-9]*’: 沒有此一檔案或目錄
FAIL: tests/guix-daemon
=======================
+ set -e
+ guix-daemon --version
warning: daemon is running as root, so using `--build-users-group' is highly recommended
guix-daemon (GNU Guix) 0.3
+ guix build --version
;;; note: auto-compilation is enabled, set GUILE_AUTO_COMPILE=0
;;; or pass the --no-auto-compile argument to disable.
;;; compiling /root/guix/scripts/guix
;;; compiled /root/guix/test-tmp/var/17763/cache-17763/guile/ccache/2.0-LE-4-2.0/root/guix/scripts/guix.go
guix build (GNU Guix) 0.3
+ guix build -e '(@ (gnu packages bootstrap) %bootstrap-guile)'
accepted connection from pid -1, uid 4294967295
Backtrace:
In ice-9/boot-9.scm:
149: 16 [catch #t #<catch-closure 81f1620> ...]
157: 15 [#<procedure 81998c0 ()>]
In unknown file:
?: 14 [catch-closure]
In ice-9/boot-9.scm:
63: 13 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
407: 12 [eval # #]
In ice-9/boot-9.scm:
2111: 11 [save-module-excursion #<procedure 8188080 at ice-9/boot-9.scm:3646:3 ()>]
3651: 10 [#<procedure 8188080 at ice-9/boot-9.scm:3646:3 ()>]
In unknown file:
?: 9 [load-compiled/vm "/root/guix/test-tmp/var/17763/cache-17763/guile/ccache/2.0-LE-4-2.0/root/guix/scripts/guix.go"]
In guix/ui.scm:
465: 8 [run-guix-command build "-e" ...]
In ice-9/boot-9.scm:
149: 7 [catch srfi-34 #<procedure 84984b0 at guix/ui.scm:148:2 ()> ...]
157: 6 [#<procedure 8460a28 ()>]
In guix/scripts/build.scm:
246: 5 [#<procedure 8486798 at guix/scripts/build.scm:237:2 ()>]
In srfi/srfi-1.scm:
664: 4 [filter-map #<procedure 848fca0 at guix/scripts/build.scm:248:33 (expr)> #]
In guix/packages.scm:
309: 3 [cache # "i686-" #<procedure thunk ()>]
396: 2 [thunk]
In gnu/packages/bootstrap.scm:
163: 1 [build # "guile-bootstrap-2.0" #f ...]
In unknown file:
?: 0 [scm-error misc-error #f ...]
ERROR: In procedure scm-error:
ERROR: bootstrap binary not found "tar" "i686-"
0 operations
[-- Attachment #5: store.log --]
[-- Type: text/x-log, Size: 1249 bytes --]
%%%% Starting test store
Group begin: store
Test begin:
test-name: "store-path-hash-part"
Test end:
result-kind: pass
actual-value: "283gqy39v3g9dxjy26rynl0zls82fmcg"
expected-value: "283gqy39v3g9dxjy26rynl0zls82fmcg"
Test begin:
test-name: "store-path-hash-part #f"
Test end:
result-kind: pass
actual-value: #f
expected-value: #f
Test begin:
test-name: "dead-paths"
Test end:
result-kind: fail
actual-value: #f
Test begin:
test-name: "dead path can be explicitly collected"
Test end:
result-kind: fail
actual-value: #f
Test begin:
test-name: "references"
Test end:
result-kind: pass
actual-value: #t
Test begin:
test-name: "requisites"
Test end:
result-kind: pass
actual-value: #t
Test begin:
test-name: "derivers"
Test end:
result-kind: fail
actual-value: #f
Test begin:
test-name: "no substitutes"
Test end:
result-kind: fail
actual-value: #f
Test begin:
test-name: "substitute query"
Test end:
result-kind: fail
actual-value: #f
Test begin:
test-name: "substitute"
Test end:
result-kind: fail
actual-value: #f
Test begin:
test-name: "substitute --fallback"
Test end:
result-kind: fail
actual-value: #f
Group end: store
# of expected passes 4
# of unexpected failures 7
[-- Attachment #6: snix.log --]
[-- Type: text/x-log, Size: 283 bytes --]
%%%% Starting test snix
Group begin: snix
Test begin:
test-name: "factorize-uri"
Test end:
result-kind: pass
actual-value: #t
Test begin:
test-name: "nixpkgs->guix-package"
Test end:
result-kind: skip
Group end: snix
# of expected passes 1
# of skipped tests 1
[-- Attachment #7: records.log --]
[-- Type: text/x-log, Size: 892 bytes --]
%%%% Starting test records
Group begin: records
Test begin:
test-name: "define-record-type*"
Test end:
result-kind: pass
actual-value: #t
Test begin:
test-name: "define-record-type* with letrec* behavior"
Test end:
result-kind: pass
actual-value: #<unspecified>
Test begin:
test-name: "define-record-type* & inherit"
Test end:
result-kind: pass
actual-value: #t
Test begin:
test-name: "define-record-type* & inherit & letrec* behavior"
Test end:
result-kind: pass
actual-value: #t
Test begin:
test-name: "define-record-type* & thunked"
Test end:
result-kind: pass
actual-value: #t
Test begin:
test-name: "define-record-type* & thunked & default"
Test end:
result-kind: pass
actual-value: #t
Test begin:
test-name: "define-record-type* & thunked & inherited"
Test end:
result-kind: pass
actual-value: #t
Group end: records
# of expected passes 7
[-- Attachment #8: packages.log --]
[-- Type: text/x-log, Size: 1763 bytes --]
%%%% Starting test packages
Group begin: packages
Test begin:
test-name: "package-field-location"
Test end:
result-kind: fail
actual-value: #f
Test begin:
test-name: "package-transitive-inputs"
Test end:
result-kind: pass
actual-value: #t
Test begin:
test-name: "return values"
Test end:
result-kind: fail
actual-value: #f
Test begin:
test-name: "package-output"
Test end:
result-kind: fail
actual-value: #f
Test begin:
test-name: "trivial"
Test end:
result-kind: fail
actual-value: #f
Test begin:
test-name: "trivial with local file as input"
Test end:
result-kind: fail
actual-value: #f
Test begin:
test-name: "trivial with system-dependent input"
Test end:
result-kind: fail
actual-value: #f
Test begin:
test-name: "search paths"
Test end:
result-kind: pass
actual-value: #t
Test begin:
test-name: "package-cross-derivation"
Test end:
result-kind: fail
actual-value: #f
Test begin:
test-name: "package-cross-derivation, trivial-build-system"
Test end:
result-kind: fail
actual-value: #f
Test begin:
test-name: "package-cross-derivation, no cross builder"
Test end:
result-kind: pass
actual-value: #t
Test begin:
test-name: "GNU Make, bootstrap"
Test end:
result-kind: fail
actual-value: #f
Test begin:
test-name: "fold-packages"
Test end:
result-kind: pass
actual-value: #<package hello-2.8 gnu/packages/base.scm:50 859a058>
expected-value: #<package hello-2.8 gnu/packages/base.scm:50 859a058>
Test begin:
test-name: "find-packages-by-name"
Test end:
result-kind: pass
actual-value: #t
Test begin:
test-name: "find-packages-by-name with version"
Test end:
result-kind: pass
actual-value: #t
Group end: packages
# of expected passes 6
# of unexpected failures 9
[-- Attachment #9: nar.log --]
[-- Type: text/x-log, Size: 301 bytes --]
%%%% Starting test nar
Group begin: nar
Test begin:
test-name: "write-file + restore-file"
Test end:
result-kind: pass
actual-value: #t
Test begin:
test-name: "write-file + restore-file with symlinks"
Test end:
result-kind: pass
actual-value: #t
Group end: nar
# of expected passes 2
[-- Attachment #10: hash.log --]
[-- Type: text/x-log, Size: 1610 bytes --]
%%%% Starting test hash
Group begin: hash
Test begin:
test-name: "sha256, empty"
Test end:
result-kind: pass
actual-value: #vu8(227 176 196 66 152 252 28 20 154 251 244 200 153 111 185 36 39 174 65 228 100 155 147 76 164 149 153 27 120 82 184 85)
expected-value: #vu8(227 176 196 66 152 252 28 20 154 251 244 200 153 111 185 36 39 174 65 228 100 155 147 76 164 149 153 27 120 82 184 85)
Test begin:
test-name: "sha256, hello"
Test end:
result-kind: pass
actual-value: #vu8(185 77 39 185 147 77 62 8 165 46 82 215 218 125 171 250 196 132 239 227 122 83 128 238 144 136 247 172 226 239 205 233)
expected-value: #vu8(185 77 39 185 147 77 62 8 165 46 82 215 218 125 171 250 196 132 239 227 122 83 128 238 144 136 247 172 226 239 205 233)
Test begin:
test-name: "open-sha256-port, empty"
Test end:
result-kind: pass
actual-value: #vu8(227 176 196 66 152 252 28 20 154 251 244 200 153 111 185 36 39 174 65 228 100 155 147 76 164 149 153 27 120 82 184 85)
expected-value: #vu8(227 176 196 66 152 252 28 20 154 251 244 200 153 111 185 36 39 174 65 228 100 155 147 76 164 149 153 27 120 82 184 85)
Test begin:
test-name: "open-sha256-port, hello"
Test end:
result-kind: pass
actual-value: #vu8(185 77 39 185 147 77 62 8 165 46 82 215 218 125 171 250 196 132 239 227 122 83 128 238 144 136 247 172 226 239 205 233)
expected-value: #vu8(185 77 39 185 147 77 62 8 165 46 82 215 218 125 171 250 196 132 239 227 122 83 128 238 144 136 247 172 226 239 205 233)
Test begin:
test-name: "port-sha256"
Test end:
result-kind: pass
actual-value: #t
Group end: hash
# of expected passes 5
[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #11: config.log --]
[-- Type: text/x-log; name="config.log", Size: 50693 bytes --]
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
It was created by GNU Guix configure 0.3, which was
generated by GNU Autoconf 2.69. Invocation command line was
$ ./configure
## --------- ##
## Platform. ##
## --------- ##
hostname = GuixOnHurd
uname -m = i686-AT386
uname -r = 0.3
uname -s = GNU
uname -v = GNU-Mach 1.3.99-486/Hurd-0.3
/usr/bin/uname -p = unknown
/bin/uname -X = unknown
/bin/arch = unknown
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown
PATH: /usr/local/sbin
PATH: /usr/local/bin
PATH: /usr/sbin
PATH: /usr/bin
PATH: /sbin
PATH: /bin
## ----------- ##
## Core tests. ##
## ----------- ##
configure:2482: checking for a BSD-compatible install
configure:2550: result: /usr/bin/install -c
configure:2561: checking whether build environment is sane
configure:2616: result: yes
configure:2767: checking for a thread-safe mkdir -p
configure:2806: result: /bin/mkdir -p
configure:2813: checking for gawk
configure:2829: found /usr/bin/gawk
configure:2840: result: gawk
configure:2851: checking whether make sets $(MAKE)
configure:2873: result: yes
configure:2902: checking whether make supports nested variables
configure:2919: result: yes
configure:3019: checking for style of include used by make
configure:3047: result: GNU
configure:3118: checking for gcc
configure:3134: found /usr/bin/gcc
configure:3145: result: gcc
configure:3374: checking for C compiler version
configure:3383: gcc --version >&5
gcc (Debian 4.8.1-5) 4.8.1
Copyright (C) 2013 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure:3394: $? = 0
configure:3383: gcc -v >&5
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/lib/gcc/i486-gnu/4.8/lto-wrapper
Target: i486-gnu
Configured with: ../src/configure -v --with-pkgversion='Debian 4.8.1-5' --with-bugurl=file:///usr/share/doc/gcc-4.8/README.Bugs --enable-languages=c,c++,java,d,fortran,objc,obj-c++ --prefix=/usr --program-suffix=-4.8 --enable-shared --enable-linker-build-id --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.8 --libdir=/usr/lib --enable-nls --with-sysroot=/ --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --disable-libitm --disable-libsanitizer --enable-plugin --with-system-zlib --disable-browser-plugin --enable-java-awt=gtk --enable-gtk-cairo --with-java-home=/usr/lib/jvm/java-1.5.0-gcj-4.8-hurd-i386/jre --enable-java-home --with-jvm-root-dir=/usr/lib/jvm/java-1.5.0-gcj-4.8-hurd-i386 --with-jvm-jar-dir=/usr/lib/jvm-exports/java-1.5.0-gcj-4.8-hurd-i386 --with-arch-directory=i386 --with-ecj-jar=/usr/share/java/eclipse-ecj.jar --enable-multiarch --with-arch=i586 --with-tune=generic --enable-checking=release --build=i486-gnu --host=i486-gnu --target=i486-gnu
Thread model: posix
gcc version 4.8.1 (Debian 4.8.1-5)
configure:3394: $? = 0
configure:3383: gcc -V >&5
gcc: error: unrecognized command line option '-V'
gcc: fatal error: no input files
compilation terminated.
configure:3394: $? = 4
configure:3383: gcc -qversion >&5
gcc: error: unrecognized command line option '-qversion'
gcc: fatal error: no input files
compilation terminated.
configure:3394: $? = 4
configure:3414: checking whether the C compiler works
configure:3436: gcc conftest.c >&5
configure:3440: $? = 0
configure:3488: result: yes
configure:3491: checking for C compiler default output file name
configure:3493: result: a.out
configure:3499: checking for suffix of executables
configure:3506: gcc -o conftest conftest.c >&5
configure:3510: $? = 0
configure:3532: result:
configure:3554: checking whether we are cross compiling
configure:3562: gcc -o conftest conftest.c >&5
configure:3566: $? = 0
configure:3573: ./conftest
configure:3577: $? = 0
configure:3592: result: no
configure:3597: checking for suffix of object files
configure:3619: gcc -c conftest.c >&5
configure:3623: $? = 0
configure:3644: result: o
configure:3648: checking whether we are using the GNU C compiler
configure:3667: gcc -c conftest.c >&5
configure:3667: $? = 0
configure:3676: result: yes
configure:3685: checking whether gcc accepts -g
configure:3705: gcc -c -g conftest.c >&5
configure:3705: $? = 0
configure:3746: result: yes
configure:3763: checking for gcc option to accept ISO C89
configure:3826: gcc -c -g -O2 conftest.c >&5
configure:3826: $? = 0
configure:3839: result: none needed
configure:3861: checking dependency style of gcc
configure:3972: result: gcc3
configure:3993: checking how to run the C preprocessor
configure:4024: gcc -E conftest.c
configure:4024: $? = 0
configure:4038: gcc -E conftest.c
conftest.c:11:28: fatal error: ac_nonexistent.h: No such file or directory
#include <ac_nonexistent.h>
^
compilation terminated.
configure:4038: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "GNU Guix"
| #define PACKAGE_TARNAME "guix"
| #define PACKAGE_VERSION "0.3"
| #define PACKAGE_STRING "GNU Guix 0.3"
| #define PACKAGE_BUGREPORT "bug-guix@gnu.org"
| #define PACKAGE_URL "http://www.gnu.org/software/guix/"
| #define PACKAGE "guix"
| #define VERSION "0.3"
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:4063: result: gcc -E
configure:4083: gcc -E conftest.c
configure:4083: $? = 0
configure:4097: gcc -E conftest.c
conftest.c:11:28: fatal error: ac_nonexistent.h: No such file or directory
#include <ac_nonexistent.h>
^
compilation terminated.
configure:4097: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "GNU Guix"
| #define PACKAGE_TARNAME "guix"
| #define PACKAGE_VERSION "0.3"
| #define PACKAGE_STRING "GNU Guix 0.3"
| #define PACKAGE_BUGREPORT "bug-guix@gnu.org"
| #define PACKAGE_URL "http://www.gnu.org/software/guix/"
| #define PACKAGE "guix"
| #define VERSION "0.3"
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:4126: checking for grep that handles long lines and -e
configure:4184: result: /bin/grep
configure:4189: checking for egrep
configure:4251: result: /bin/grep -E
configure:4256: checking for ANSI C header files
configure:4276: gcc -c -g -O2 conftest.c >&5
configure:4276: $? = 0
configure:4349: gcc -o conftest -g -O2 conftest.c >&5
configure:4349: $? = 0
configure:4349: ./conftest
configure:4349: $? = 0
configure:4360: result: yes
configure:4373: checking for sys/types.h
configure:4373: gcc -c -g -O2 conftest.c >&5
configure:4373: $? = 0
configure:4373: result: yes
configure:4373: checking for sys/stat.h
configure:4373: gcc -c -g -O2 conftest.c >&5
configure:4373: $? = 0
configure:4373: result: yes
configure:4373: checking for stdlib.h
configure:4373: gcc -c -g -O2 conftest.c >&5
configure:4373: $? = 0
configure:4373: result: yes
configure:4373: checking for string.h
configure:4373: gcc -c -g -O2 conftest.c >&5
configure:4373: $? = 0
configure:4373: result: yes
configure:4373: checking for memory.h
configure:4373: gcc -c -g -O2 conftest.c >&5
configure:4373: $? = 0
configure:4373: result: yes
configure:4373: checking for strings.h
configure:4373: gcc -c -g -O2 conftest.c >&5
configure:4373: $? = 0
configure:4373: result: yes
configure:4373: checking for inttypes.h
configure:4373: gcc -c -g -O2 conftest.c >&5
configure:4373: $? = 0
configure:4373: result: yes
configure:4373: checking for stdint.h
configure:4373: gcc -c -g -O2 conftest.c >&5
configure:4373: $? = 0
configure:4373: result: yes
configure:4373: checking for unistd.h
configure:4373: gcc -c -g -O2 conftest.c >&5
configure:4373: $? = 0
configure:4373: result: yes
configure:4386: checking minix/config.h usability
configure:4386: gcc -c -g -O2 conftest.c >&5
conftest.c:54:26: fatal error: minix/config.h: No such file or directory
#include <minix/config.h>
^
compilation terminated.
configure:4386: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "GNU Guix"
| #define PACKAGE_TARNAME "guix"
| #define PACKAGE_VERSION "0.3"
| #define PACKAGE_STRING "GNU Guix 0.3"
| #define PACKAGE_BUGREPORT "bug-guix@gnu.org"
| #define PACKAGE_URL "http://www.gnu.org/software/guix/"
| #define PACKAGE "guix"
| #define VERSION "0.3"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| /* end confdefs.h. */
| #include <stdio.h>
| #ifdef HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #ifdef HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #ifdef STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # ifdef HAVE_STDLIB_H
| # include <stdlib.h>
| # endif
| #endif
| #ifdef HAVE_STRING_H
| # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
| # include <memory.h>
| # endif
| # include <string.h>
| #endif
| #ifdef HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #ifdef HAVE_INTTYPES_H
| # include <inttypes.h>
| #endif
| #ifdef HAVE_STDINT_H
| # include <stdint.h>
| #endif
| #ifdef HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <minix/config.h>
configure:4386: result: no
configure:4386: checking minix/config.h presence
configure:4386: gcc -E conftest.c
conftest.c:21:26: fatal error: minix/config.h: No such file or directory
#include <minix/config.h>
^
compilation terminated.
configure:4386: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "GNU Guix"
| #define PACKAGE_TARNAME "guix"
| #define PACKAGE_VERSION "0.3"
| #define PACKAGE_STRING "GNU Guix 0.3"
| #define PACKAGE_BUGREPORT "bug-guix@gnu.org"
| #define PACKAGE_URL "http://www.gnu.org/software/guix/"
| #define PACKAGE "guix"
| #define VERSION "0.3"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| /* end confdefs.h. */
| #include <minix/config.h>
configure:4386: result: no
configure:4386: checking for minix/config.h
configure:4386: result: no
configure:4407: checking whether it is safe to define __EXTENSIONS__
configure:4425: gcc -c -g -O2 conftest.c >&5
configure:4425: $? = 0
configure:4432: result: yes
configure:4455: checking whether NLS is requested
configure:4464: result: yes
configure:4505: checking for msgfmt
configure:4540: result: no
configure:4546: checking for gmsgfmt
configure:4577: result: :
configure:4628: checking for xgettext
configure:4663: result: no
configure:4706: checking for msgmerge
configure:4740: result: no
configure:4774: checking build system type
configure:4788: result: i686-unknown-gnu0.3
configure:4808: checking host system type
configure:4821: result: i686-unknown-gnu0.3
configure:4865: checking for ld used by GCC
configure:4929: result: /usr/bin/ld
configure:4936: checking if the linker (/usr/bin/ld) is GNU ld
configure:4949: result: yes
configure:4956: checking for shared library run path origin
configure:4969: result: done
configure:5541: checking for CFPreferencesCopyAppValue
configure:5559: gcc -o conftest -g -O2 conftest.c -Wl,-framework -Wl,CoreFoundation >&5
conftest.c:26:42: fatal error: CoreFoundation/CFPreferences.h: No such file or directory
#include <CoreFoundation/CFPreferences.h>
^
compilation terminated.
configure:5559: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "GNU Guix"
| #define PACKAGE_TARNAME "guix"
| #define PACKAGE_VERSION "0.3"
| #define PACKAGE_STRING "GNU Guix 0.3"
| #define PACKAGE_BUGREPORT "bug-guix@gnu.org"
| #define PACKAGE_URL "http://www.gnu.org/software/guix/"
| #define PACKAGE "guix"
| #define VERSION "0.3"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define __EXTENSIONS__ 1
| #define _ALL_SOURCE 1
| #define _GNU_SOURCE 1
| #define _POSIX_PTHREAD_SEMANTICS 1
| #define _TANDEM_SOURCE 1
| /* end confdefs.h. */
| #include <CoreFoundation/CFPreferences.h>
| int
| main ()
| {
| CFPreferencesCopyAppValue(NULL, NULL)
| ;
| return 0;
| }
configure:5568: result: no
configure:5575: checking for CFLocaleCopyCurrent
configure:5593: gcc -o conftest -g -O2 conftest.c -Wl,-framework -Wl,CoreFoundation >&5
conftest.c:26:37: fatal error: CoreFoundation/CFLocale.h: No such file or directory
#include <CoreFoundation/CFLocale.h>
^
compilation terminated.
configure:5593: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "GNU Guix"
| #define PACKAGE_TARNAME "guix"
| #define PACKAGE_VERSION "0.3"
| #define PACKAGE_STRING "GNU Guix 0.3"
| #define PACKAGE_BUGREPORT "bug-guix@gnu.org"
| #define PACKAGE_URL "http://www.gnu.org/software/guix/"
| #define PACKAGE "guix"
| #define VERSION "0.3"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define __EXTENSIONS__ 1
| #define _ALL_SOURCE 1
| #define _GNU_SOURCE 1
| #define _POSIX_PTHREAD_SEMANTICS 1
| #define _TANDEM_SOURCE 1
| /* end confdefs.h. */
| #include <CoreFoundation/CFLocale.h>
| int
| main ()
| {
| CFLocaleCopyCurrent();
| ;
| return 0;
| }
configure:5602: result: no
configure:5651: checking for GNU gettext in libc
configure:5671: gcc -o conftest -g -O2 conftest.c >&5
configure:5671: $? = 0
configure:5680: result: yes
configure:6471: checking whether to use NLS
configure:6473: result: yes
configure:6476: checking where the gettext function comes from
configure:6487: result: libc
configure:6577: checking for the Guix system type
configure:6579: result: i686-
configure:6662: checking for pkg-config
configure:6680: found /usr/bin/pkg-config
configure:6692: result: /usr/bin/pkg-config
configure:6717: checking pkg-config is at least version 0.9.0
configure:6720: result: yes
configure:6730: checking for GUILE
configure:6737: $PKG_CONFIG --exists --print-errors "guile-2.0 >= 2.0.5"
configure:6740: $? = 0
configure:6754: $PKG_CONFIG --exists --print-errors "guile-2.0 >= 2.0.5"
configure:6757: $? = 0
configure:6815: result: yes
configure:6821: checking for guile
configure:6839: found /usr/bin/guile
configure:6851: result: /usr/bin/guile
configure:6861: checking for guild
configure:6879: found /usr/bin/guild
configure:6891: result: /usr/bin/guild
configure:6906: checking whether /usr/bin/guile provides feature 'regex'
configure:6910: result: yes
configure:6906: checking whether /usr/bin/guile provides feature 'posix'
configure:6910: result: yes
configure:6906: checking whether /usr/bin/guile provides feature 'socket'
configure:6910: result: yes
configure:6906: checking whether /usr/bin/guile provides feature 'net-db'
configure:6910: result: yes
configure:6906: checking whether /usr/bin/guile provides feature 'threads'
configure:6910: result: yes
configure:6936: checking for nix-instantiate
configure:6969: result: no
configure:6976: checking for nix-hash
configure:7009: result: no
configure:7034: checking for Nixpkgs source tree
configure:7041: result: not found
configure:7063: checking for libgcrypt shared library name
configure:7065: result: libgcrypt
configure:7072: checking for guile
configure:7102: result: /usr/bin/guile
configure:7116: checking for guile-config
configure:7134: found /usr/bin/guile-config
configure:7146: result: /usr/bin/guile-config
configure:7160: checking for guile-tools
configure:7178: found /usr/bin/guile-tools
configure:7190: result: /usr/bin/guile-tools
configure:7200: checking whether libgcrypt can be dynamically loaded
configure:7215: result: yes
configure:7309: checking whether to build daemon
configure:7311: result: yes
configure:7372: checking for g++
configure:7388: found /usr/bin/g++
configure:7399: result: g++
configure:7426: checking for C++ compiler version
configure:7435: g++ --version >&5
g++ (Debian 4.8.1-5) 4.8.1
Copyright (C) 2013 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure:7446: $? = 0
configure:7435: g++ -v >&5
Using built-in specs.
COLLECT_GCC=g++
COLLECT_LTO_WRAPPER=/usr/lib/gcc/i486-gnu/4.8/lto-wrapper
Target: i486-gnu
Configured with: ../src/configure -v --with-pkgversion='Debian 4.8.1-5' --with-bugurl=file:///usr/share/doc/gcc-4.8/README.Bugs --enable-languages=c,c++,java,d,fortran,objc,obj-c++ --prefix=/usr --program-suffix=-4.8 --enable-shared --enable-linker-build-id --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.8 --libdir=/usr/lib --enable-nls --with-sysroot=/ --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --disable-libitm --disable-libsanitizer --enable-plugin --with-system-zlib --disable-browser-plugin --enable-java-awt=gtk --enable-gtk-cairo --with-java-home=/usr/lib/jvm/java-1.5.0-gcj-4.8-hurd-i386/jre --enable-java-home --with-jvm-root-dir=/usr/lib/jvm/java-1.5.0-gcj-4.8-hurd-i386 --with-jvm-jar-dir=/usr/lib/jvm-exports/java-1.5.0-gcj-4.8-hurd-i386 --with-arch-directory=i386 --with-ecj-jar=/usr/share/java/eclipse-ecj.jar --enable-multiarch --with-arch=i586 --with-tune=generic --enable-checking=release --build=i486-gnu --host=i486-gnu --target=i486-gnu
Thread model: posix
gcc version 4.8.1 (Debian 4.8.1-5)
configure:7446: $? = 0
configure:7435: g++ -V >&5
g++: error: unrecognized command line option '-V'
g++: fatal error: no input files
compilation terminated.
configure:7446: $? = 4
configure:7435: g++ -qversion >&5
g++: error: unrecognized command line option '-qversion'
g++: fatal error: no input files
compilation terminated.
configure:7446: $? = 4
configure:7450: checking whether we are using the GNU C++ compiler
configure:7469: g++ -c conftest.cpp >&5
configure:7469: $? = 0
configure:7478: result: yes
configure:7487: checking whether g++ accepts -g
configure:7507: g++ -c -g conftest.cpp >&5
configure:7507: $? = 0
configure:7548: result: yes
configure:7573: checking dependency style of g++
configure:7684: result: gcc3
configure:7745: checking for ranlib
configure:7761: found /usr/bin/ranlib
configure:7772: result: ranlib
configure:7799: checking for gzip
configure:7817: found /bin/gzip
configure:7829: result: /bin/gzip
configure:7839: checking for bzip2
configure:7857: found /bin/bzip2
configure:7869: result: /bin/bzip2
configure:7879: checking for xz
configure:7897: found /usr/bin/xz
configure:7909: result: /usr/bin/xz
configure:7928: checking for special C compiler options needed for large files
configure:7973: result: no
configure:7979: checking for _FILE_OFFSET_BITS value needed for large files
configure:8004: gcc -c -g -O2 conftest.c >&5
conftest.c:35:3: warning: left shift count >= width of type [enabled by default]
int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
^
conftest.c:35:3: warning: left shift count >= width of type [enabled by default]
conftest.c:36:10: warning: left shift count >= width of type [enabled by default]
&& LARGE_OFF_T % 2147483647 == 1)
^
conftest.c:36:10: warning: left shift count >= width of type [enabled by default]
conftest.c:35:7: error: variably modified 'off_t_is_large' at file scope
int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
^
configure:8004: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "GNU Guix"
| #define PACKAGE_TARNAME "guix"
| #define PACKAGE_VERSION "0.3"
| #define PACKAGE_STRING "GNU Guix 0.3"
| #define PACKAGE_BUGREPORT "bug-guix@gnu.org"
| #define PACKAGE_URL "http://www.gnu.org/software/guix/"
| #define PACKAGE "guix"
| #define VERSION "0.3"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define __EXTENSIONS__ 1
| #define _ALL_SOURCE 1
| #define _GNU_SOURCE 1
| #define _POSIX_PTHREAD_SEMANTICS 1
| #define _TANDEM_SOURCE 1
| #define ENABLE_NLS 1
| #define HAVE_GETTEXT 1
| #define HAVE_DCGETTEXT 1
| /* end confdefs.h. */
| #include <sys/types.h>
| /* Check that off_t can represent 2**63 - 1 correctly.
| We can't simply define LARGE_OFF_T to be 9223372036854775807,
| since some C++ compilers masquerading as C compilers
| incorrectly reject 9223372036854775807. */
| #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
| int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
| && LARGE_OFF_T % 2147483647 == 1)
| ? 1 : -1];
| int
| main ()
| {
|
| ;
| return 0;
| }
configure:8028: gcc -c -g -O2 conftest.c >&5
configure:8028: $? = 0
configure:8036: result: 64
configure:8122: checking for BZ2_bzWriteOpen in -lbz2
configure:8147: gcc -o conftest -g -O2 conftest.c -lbz2 >&5
configure:8147: $? = 0
configure:8156: result: yes
configure:8166: checking bzlib.h usability
configure:8166: gcc -c -g -O2 conftest.c >&5
configure:8166: $? = 0
configure:8166: result: yes
configure:8166: checking bzlib.h presence
configure:8166: gcc -E conftest.c
configure:8166: $? = 0
configure:8166: result: yes
configure:8166: checking for bzlib.h
configure:8166: result: yes
configure:8181: checking for SQLITE3
configure:8188: $PKG_CONFIG --exists --print-errors "sqlite3 >= 3.6.19"
configure:8191: $? = 0
configure:8205: $PKG_CONFIG --exists --print-errors "sqlite3 >= 3.6.19"
configure:8208: $? = 0
configure:8266: result: yes
configure:8299: checking for gcry_md_open in -lgcrypt
configure:8324: gcc -o conftest -g -O2 -I/include conftest.c -lgcrypt >&5
configure:8324: $? = 0
configure:8333: result: yes
configure:8341: checking gcrypt.h usability
configure:8341: gcc -c -g -O2 -I/include conftest.c >&5
configure:8341: $? = 0
configure:8341: result: yes
configure:8341: checking gcrypt.h presence
configure:8341: gcc -E conftest.c
configure:8341: $? = 0
configure:8341: result: yes
configure:8341: checking for gcrypt.h
configure:8341: result: yes
configure:8359: checking for chroot
configure:8359: gcc -o conftest -g -O2 conftest.c >&5
configure:8359: $? = 0
configure:8359: result: yes
configure:8359: checking for unshare
configure:8359: gcc -o conftest -g -O2 conftest.c >&5
/tmp/ccneuiin.o: In function `main':
/root/guix/conftest.c:68: undefined reference to `unshare'
collect2: error: ld returned 1 exit status
configure:8359: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "GNU Guix"
| #define PACKAGE_TARNAME "guix"
| #define PACKAGE_VERSION "0.3"
| #define PACKAGE_STRING "GNU Guix 0.3"
| #define PACKAGE_BUGREPORT "bug-guix@gnu.org"
| #define PACKAGE_URL "http://www.gnu.org/software/guix/"
| #define PACKAGE "guix"
| #define VERSION "0.3"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define __EXTENSIONS__ 1
| #define _ALL_SOURCE 1
| #define _GNU_SOURCE 1
| #define _POSIX_PTHREAD_SEMANTICS 1
| #define _TANDEM_SOURCE 1
| #define ENABLE_NLS 1
| #define HAVE_GETTEXT 1
| #define HAVE_DCGETTEXT 1
| #define _FILE_OFFSET_BITS 64
| #define HAVE_BZLIB_H 1
| #define NIX_VERSION "0.0.0"
| #define SYSTEM "i686-"
| #define HAVE_CHROOT 1
| /* end confdefs.h. */
| /* Define unshare to an innocuous variant, in case <limits.h> declares unshare.
| For example, HP-UX 11i <limits.h> declares gettimeofday. */
| #define unshare innocuous_unshare
|
| /* System header to define __stub macros and hopefully few prototypes,
| which can conflict with char unshare (); below.
| Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
| <limits.h> exists even on freestanding compilers. */
|
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
|
| #undef unshare
|
| /* Override any GCC internal prototype to avoid an error.
| Use char because int might match the return type of a GCC
| builtin and then its argument prototype would still apply. */
| #ifdef __cplusplus
| extern "C"
| #endif
| char unshare ();
| /* The GNU C library defines this for functions which it implements
| to always fail with ENOSYS. Some functions are actually named
| something starting with __ and the normal name is an alias. */
| #if defined __stub_unshare || defined __stub___unshare
| choke me
| #endif
|
| int
| main ()
| {
| return unshare ();
| ;
| return 0;
| }
configure:8359: result: no
configure:8371: checking sched.h usability
configure:8371: gcc -c -g -O2 conftest.c >&5
configure:8371: $? = 0
configure:8371: result: yes
configure:8371: checking sched.h presence
configure:8371: gcc -E conftest.c
configure:8371: $? = 0
configure:8371: result: yes
configure:8371: checking for sched.h
configure:8371: result: yes
configure:8371: checking sys/param.h usability
configure:8371: gcc -c -g -O2 conftest.c >&5
configure:8371: $? = 0
configure:8371: result: yes
configure:8371: checking sys/param.h presence
configure:8371: gcc -E conftest.c
configure:8371: $? = 0
configure:8371: result: yes
configure:8371: checking for sys/param.h
configure:8371: result: yes
configure:8371: checking sys/mount.h usability
configure:8371: gcc -c -g -O2 conftest.c >&5
conftest.c:69:23: fatal error: sys/mount.h: No such file or directory
#include <sys/mount.h>
^
compilation terminated.
configure:8371: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "GNU Guix"
| #define PACKAGE_TARNAME "guix"
| #define PACKAGE_VERSION "0.3"
| #define PACKAGE_STRING "GNU Guix 0.3"
| #define PACKAGE_BUGREPORT "bug-guix@gnu.org"
| #define PACKAGE_URL "http://www.gnu.org/software/guix/"
| #define PACKAGE "guix"
| #define VERSION "0.3"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define __EXTENSIONS__ 1
| #define _ALL_SOURCE 1
| #define _GNU_SOURCE 1
| #define _POSIX_PTHREAD_SEMANTICS 1
| #define _TANDEM_SOURCE 1
| #define ENABLE_NLS 1
| #define HAVE_GETTEXT 1
| #define HAVE_DCGETTEXT 1
| #define _FILE_OFFSET_BITS 64
| #define HAVE_BZLIB_H 1
| #define NIX_VERSION "0.0.0"
| #define SYSTEM "i686-"
| #define HAVE_CHROOT 1
| #define HAVE_SCHED_H 1
| #define HAVE_SYS_PARAM_H 1
| /* end confdefs.h. */
| #include <stdio.h>
| #ifdef HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #ifdef HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #ifdef STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # ifdef HAVE_STDLIB_H
| # include <stdlib.h>
| # endif
| #endif
| #ifdef HAVE_STRING_H
| # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
| # include <memory.h>
| # endif
| # include <string.h>
| #endif
| #ifdef HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #ifdef HAVE_INTTYPES_H
| # include <inttypes.h>
| #endif
| #ifdef HAVE_STDINT_H
| # include <stdint.h>
| #endif
| #ifdef HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <sys/mount.h>
configure:8371: result: no
configure:8371: checking sys/mount.h presence
configure:8371: gcc -E conftest.c
conftest.c:36:23: fatal error: sys/mount.h: No such file or directory
#include <sys/mount.h>
^
compilation terminated.
configure:8371: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "GNU Guix"
| #define PACKAGE_TARNAME "guix"
| #define PACKAGE_VERSION "0.3"
| #define PACKAGE_STRING "GNU Guix 0.3"
| #define PACKAGE_BUGREPORT "bug-guix@gnu.org"
| #define PACKAGE_URL "http://www.gnu.org/software/guix/"
| #define PACKAGE "guix"
| #define VERSION "0.3"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define __EXTENSIONS__ 1
| #define _ALL_SOURCE 1
| #define _GNU_SOURCE 1
| #define _POSIX_PTHREAD_SEMANTICS 1
| #define _TANDEM_SOURCE 1
| #define ENABLE_NLS 1
| #define HAVE_GETTEXT 1
| #define HAVE_DCGETTEXT 1
| #define _FILE_OFFSET_BITS 64
| #define HAVE_BZLIB_H 1
| #define NIX_VERSION "0.0.0"
| #define SYSTEM "i686-"
| #define HAVE_CHROOT 1
| #define HAVE_SCHED_H 1
| #define HAVE_SYS_PARAM_H 1
| /* end confdefs.h. */
| #include <sys/mount.h>
configure:8371: result: no
configure:8371: checking for sys/mount.h
configure:8371: result: no
configure:8384: checking for lutimes
configure:8384: gcc -o conftest -g -O2 conftest.c >&5
configure:8384: $? = 0
configure:8384: result: yes
configure:8394: checking whether it is possible to create a link to a symlink
configure:8404: result: no
configure:8421: checking how to run the C++ preprocessor
configure:8448: g++ -E conftest.cpp
configure:8448: $? = 0
configure:8462: g++ -E conftest.cpp
conftest.cpp:37:28: fatal error: ac_nonexistent.h: No such file or directory
#include <ac_nonexistent.h>
^
compilation terminated.
configure:8462: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "GNU Guix"
| #define PACKAGE_TARNAME "guix"
| #define PACKAGE_VERSION "0.3"
| #define PACKAGE_STRING "GNU Guix 0.3"
| #define PACKAGE_BUGREPORT "bug-guix@gnu.org"
| #define PACKAGE_URL "http://www.gnu.org/software/guix/"
| #define PACKAGE "guix"
| #define VERSION "0.3"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define __EXTENSIONS__ 1
| #define _ALL_SOURCE 1
| #define _GNU_SOURCE 1
| #define _POSIX_PTHREAD_SEMANTICS 1
| #define _TANDEM_SOURCE 1
| #define ENABLE_NLS 1
| #define HAVE_GETTEXT 1
| #define HAVE_DCGETTEXT 1
| #define _FILE_OFFSET_BITS 64
| #define HAVE_BZLIB_H 1
| #define NIX_VERSION "0.0.0"
| #define SYSTEM "i686-"
| #define HAVE_CHROOT 1
| #define HAVE_SCHED_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_LUTIMES 1
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:8487: result: g++ -E
configure:8507: g++ -E conftest.cpp
configure:8507: $? = 0
configure:8521: g++ -E conftest.cpp
conftest.cpp:37:28: fatal error: ac_nonexistent.h: No such file or directory
#include <ac_nonexistent.h>
^
compilation terminated.
configure:8521: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "GNU Guix"
| #define PACKAGE_TARNAME "guix"
| #define PACKAGE_VERSION "0.3"
| #define PACKAGE_STRING "GNU Guix 0.3"
| #define PACKAGE_BUGREPORT "bug-guix@gnu.org"
| #define PACKAGE_URL "http://www.gnu.org/software/guix/"
| #define PACKAGE "guix"
| #define VERSION "0.3"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define __EXTENSIONS__ 1
| #define _ALL_SOURCE 1
| #define _GNU_SOURCE 1
| #define _POSIX_PTHREAD_SEMANTICS 1
| #define _TANDEM_SOURCE 1
| #define ENABLE_NLS 1
| #define HAVE_GETTEXT 1
| #define HAVE_DCGETTEXT 1
| #define _FILE_OFFSET_BITS 64
| #define HAVE_BZLIB_H 1
| #define NIX_VERSION "0.0.0"
| #define SYSTEM "i686-"
| #define HAVE_CHROOT 1
| #define HAVE_SCHED_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_LUTIMES 1
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:8552: checking locale usability
configure:8552: g++ -c -g -O2 conftest.cpp >&5
configure:8552: $? = 0
configure:8552: result: yes
configure:8552: checking locale presence
configure:8552: g++ -E conftest.cpp
configure:8552: $? = 0
configure:8552: result: yes
configure:8552: checking for locale
configure:8552: result: yes
configure:8572: checking sys/personality.h usability
configure:8572: gcc -c -g -O2 conftest.c >&5
conftest.c:71:29: fatal error: sys/personality.h: No such file or directory
#include <sys/personality.h>
^
compilation terminated.
configure:8572: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "GNU Guix"
| #define PACKAGE_TARNAME "guix"
| #define PACKAGE_VERSION "0.3"
| #define PACKAGE_STRING "GNU Guix 0.3"
| #define PACKAGE_BUGREPORT "bug-guix@gnu.org"
| #define PACKAGE_URL "http://www.gnu.org/software/guix/"
| #define PACKAGE "guix"
| #define VERSION "0.3"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define __EXTENSIONS__ 1
| #define _ALL_SOURCE 1
| #define _GNU_SOURCE 1
| #define _POSIX_PTHREAD_SEMANTICS 1
| #define _TANDEM_SOURCE 1
| #define ENABLE_NLS 1
| #define HAVE_GETTEXT 1
| #define HAVE_DCGETTEXT 1
| #define _FILE_OFFSET_BITS 64
| #define HAVE_BZLIB_H 1
| #define NIX_VERSION "0.0.0"
| #define SYSTEM "i686-"
| #define HAVE_CHROOT 1
| #define HAVE_SCHED_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_LUTIMES 1
| #define HAVE_LOCALE 1
| /* end confdefs.h. */
| #include <stdio.h>
| #ifdef HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #ifdef HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #ifdef STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # ifdef HAVE_STDLIB_H
| # include <stdlib.h>
| # endif
| #endif
| #ifdef HAVE_STRING_H
| # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
| # include <memory.h>
| # endif
| # include <string.h>
| #endif
| #ifdef HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #ifdef HAVE_INTTYPES_H
| # include <inttypes.h>
| #endif
| #ifdef HAVE_STDINT_H
| # include <stdint.h>
| #endif
| #ifdef HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <sys/personality.h>
configure:8572: result: no
configure:8572: checking sys/personality.h presence
configure:8572: gcc -E conftest.c
conftest.c:38:29: fatal error: sys/personality.h: No such file or directory
#include <sys/personality.h>
^
compilation terminated.
configure:8572: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "GNU Guix"
| #define PACKAGE_TARNAME "guix"
| #define PACKAGE_VERSION "0.3"
| #define PACKAGE_STRING "GNU Guix 0.3"
| #define PACKAGE_BUGREPORT "bug-guix@gnu.org"
| #define PACKAGE_URL "http://www.gnu.org/software/guix/"
| #define PACKAGE "guix"
| #define VERSION "0.3"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define __EXTENSIONS__ 1
| #define _ALL_SOURCE 1
| #define _GNU_SOURCE 1
| #define _POSIX_PTHREAD_SEMANTICS 1
| #define _TANDEM_SOURCE 1
| #define ENABLE_NLS 1
| #define HAVE_GETTEXT 1
| #define HAVE_DCGETTEXT 1
| #define _FILE_OFFSET_BITS 64
| #define HAVE_BZLIB_H 1
| #define NIX_VERSION "0.0.0"
| #define SYSTEM "i686-"
| #define HAVE_CHROOT 1
| #define HAVE_SCHED_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_LUTIMES 1
| #define HAVE_LOCALE 1
| /* end confdefs.h. */
| #include <sys/personality.h>
configure:8572: result: no
configure:8572: checking for sys/personality.h
configure:8572: result: no
configure:8585: checking linux/fs.h usability
configure:8585: gcc -c -g -O2 conftest.c >&5
conftest.c:71:22: fatal error: linux/fs.h: No such file or directory
#include <linux/fs.h>
^
compilation terminated.
configure:8585: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "GNU Guix"
| #define PACKAGE_TARNAME "guix"
| #define PACKAGE_VERSION "0.3"
| #define PACKAGE_STRING "GNU Guix 0.3"
| #define PACKAGE_BUGREPORT "bug-guix@gnu.org"
| #define PACKAGE_URL "http://www.gnu.org/software/guix/"
| #define PACKAGE "guix"
| #define VERSION "0.3"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define __EXTENSIONS__ 1
| #define _ALL_SOURCE 1
| #define _GNU_SOURCE 1
| #define _POSIX_PTHREAD_SEMANTICS 1
| #define _TANDEM_SOURCE 1
| #define ENABLE_NLS 1
| #define HAVE_GETTEXT 1
| #define HAVE_DCGETTEXT 1
| #define _FILE_OFFSET_BITS 64
| #define HAVE_BZLIB_H 1
| #define NIX_VERSION "0.0.0"
| #define SYSTEM "i686-"
| #define HAVE_CHROOT 1
| #define HAVE_SCHED_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_LUTIMES 1
| #define HAVE_LOCALE 1
| /* end confdefs.h. */
| #include <stdio.h>
| #ifdef HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #ifdef HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #ifdef STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # ifdef HAVE_STDLIB_H
| # include <stdlib.h>
| # endif
| #endif
| #ifdef HAVE_STRING_H
| # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
| # include <memory.h>
| # endif
| # include <string.h>
| #endif
| #ifdef HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #ifdef HAVE_INTTYPES_H
| # include <inttypes.h>
| #endif
| #ifdef HAVE_STDINT_H
| # include <stdint.h>
| #endif
| #ifdef HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <linux/fs.h>
configure:8585: result: no
configure:8585: checking linux/fs.h presence
configure:8585: gcc -E conftest.c
conftest.c:38:22: fatal error: linux/fs.h: No such file or directory
#include <linux/fs.h>
^
compilation terminated.
configure:8585: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "GNU Guix"
| #define PACKAGE_TARNAME "guix"
| #define PACKAGE_VERSION "0.3"
| #define PACKAGE_STRING "GNU Guix 0.3"
| #define PACKAGE_BUGREPORT "bug-guix@gnu.org"
| #define PACKAGE_URL "http://www.gnu.org/software/guix/"
| #define PACKAGE "guix"
| #define VERSION "0.3"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define __EXTENSIONS__ 1
| #define _ALL_SOURCE 1
| #define _GNU_SOURCE 1
| #define _POSIX_PTHREAD_SEMANTICS 1
| #define _TANDEM_SOURCE 1
| #define ENABLE_NLS 1
| #define HAVE_GETTEXT 1
| #define HAVE_DCGETTEXT 1
| #define _FILE_OFFSET_BITS 64
| #define HAVE_BZLIB_H 1
| #define NIX_VERSION "0.0.0"
| #define SYSTEM "i686-"
| #define HAVE_CHROOT 1
| #define HAVE_SCHED_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_LUTIMES 1
| #define HAVE_LOCALE 1
| /* end confdefs.h. */
| #include <linux/fs.h>
configure:8585: result: no
configure:8585: checking for linux/fs.h
configure:8585: result: no
configure:8596: checking for unit test root
configure:8599: result: /root/guix/test-tmp
configure:8738: checking that generated files are newer than configure
configure:8744: result: done
configure:8775: creating ./config.status
## ---------------------- ##
## Running config.status. ##
## ---------------------- ##
This file was extended by GNU Guix config.status 0.3, which was
generated by GNU Autoconf 2.69. Invocation command line was
CONFIG_FILES =
CONFIG_HEADERS =
CONFIG_LINKS =
CONFIG_COMMANDS =
$ ./config.status
on GuixOnHurd
config.status:948: creating nix/scripts/list-runtime-roots
config.status:948: creating nix/scripts/substitute-binary
config.status:948: creating Makefile
config.status:948: creating po/Makefile.in
config.status:948: creating guix/config.scm
config.status:948: creating scripts/guix
config.status:948: creating pre-inst-env
config.status:948: creating test-env
config.status:948: creating nix/config.h
config.status:1177: executing depfiles commands
config.status:1177: executing po-directories commands
## ---------------- ##
## Cache variables. ##
## ---------------- ##
ac_cv_build=i686-unknown-gnu0.3
ac_cv_c_compiler_gnu=yes
ac_cv_cxx_compiler_gnu=yes
ac_cv_env_CCC_set=
ac_cv_env_CCC_value=
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CXXCPP_set=
ac_cv_env_CXXCPP_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_GUILE_CFLAGS_set=
ac_cv_env_GUILE_CFLAGS_value=
ac_cv_env_GUILE_LIBS_set=
ac_cv_env_GUILE_LIBS_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_PKG_CONFIG_LIBDIR_set=
ac_cv_env_PKG_CONFIG_LIBDIR_value=
ac_cv_env_PKG_CONFIG_PATH_set=
ac_cv_env_PKG_CONFIG_PATH_value=
ac_cv_env_PKG_CONFIG_set=
ac_cv_env_PKG_CONFIG_value=
ac_cv_env_SQLITE3_CFLAGS_set=
ac_cv_env_SQLITE3_CFLAGS_value=
ac_cv_env_SQLITE3_LIBS_set=
ac_cv_env_SQLITE3_LIBS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_func_chroot=yes
ac_cv_func_lutimes=yes
ac_cv_func_unshare=no
ac_cv_header_bzlib_h=yes
ac_cv_header_gcrypt_h=yes
ac_cv_header_inttypes_h=yes
ac_cv_header_linux_fs_h=no
ac_cv_header_locale=yes
ac_cv_header_memory_h=yes
ac_cv_header_minix_config_h=no
ac_cv_header_sched_h=yes
ac_cv_header_stdc=yes
ac_cv_header_stdint_h=yes
ac_cv_header_stdlib_h=yes
ac_cv_header_string_h=yes
ac_cv_header_strings_h=yes
ac_cv_header_sys_mount_h=no
ac_cv_header_sys_param_h=yes
ac_cv_header_sys_personality_h=no
ac_cv_header_sys_stat_h=yes
ac_cv_header_sys_types_h=yes
ac_cv_header_unistd_h=yes
ac_cv_host=i686-unknown-gnu0.3
ac_cv_lib_bz2_BZ2_bzWriteOpen=yes
ac_cv_lib_gcrypt_gcry_md_open=yes
ac_cv_objext=o
ac_cv_path_BZIP2=/bin/bzip2
ac_cv_path_EGREP='/bin/grep -E'
ac_cv_path_GMSGFMT=:
ac_cv_path_GREP=/bin/grep
ac_cv_path_GUILD=/usr/bin/guild
ac_cv_path_GUILE=/usr/bin/guile
ac_cv_path_GUILE_CONFIG=/usr/bin/guile-config
ac_cv_path_GUILE_TOOLS=/usr/bin/guile-tools
ac_cv_path_GZIP=/bin/gzip
ac_cv_path_MSGFMT=:
ac_cv_path_MSGMERGE=:
ac_cv_path_XGETTEXT=:
ac_cv_path_XZ=/usr/bin/xz
ac_cv_path_ac_pt_PKG_CONFIG=/usr/bin/pkg-config
ac_cv_path_install='/usr/bin/install -c'
ac_cv_path_mkdir=/bin/mkdir
ac_cv_prog_AWK=gawk
ac_cv_prog_CPP='gcc -E'
ac_cv_prog_CXXCPP='g++ -E'
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_ac_ct_CXX=g++
ac_cv_prog_ac_ct_RANLIB=ranlib
ac_cv_prog_cc_c89=
ac_cv_prog_cc_g=yes
ac_cv_prog_cxx_g=yes
ac_cv_prog_make_make_set=yes
ac_cv_safe_to_define___extensions__=yes
ac_cv_sys_file_offset_bits=64
ac_cv_sys_largefile_CC=no
acl_cv_hardcode_direct=no
acl_cv_hardcode_libdir_flag_spec='${wl}-rpath ${wl}$libdir'
acl_cv_hardcode_libdir_separator=
acl_cv_hardcode_minus_L=no
acl_cv_libext=a
acl_cv_libname_spec='lib$name'
acl_cv_library_names_spec='$libname$shrext'
acl_cv_path_LD=/usr/bin/ld
acl_cv_prog_gnu_ld=yes
acl_cv_rpath=done
acl_cv_shlibext=so
acl_cv_wl=-Wl,
am_cv_CC_dependencies_compiler_type=gcc3
am_cv_CXX_dependencies_compiler_type=gcc3
am_cv_make_support_nested_variables=yes
gt_cv_func_CFLocaleCopyCurrent=no
gt_cv_func_CFPreferencesCopyAppValue=no
gt_cv_func_gnugettext1_libc=yes
guix_cv_libgcrypt_usable_p=yes
pkg_cv_GUILE_CFLAGS='-pthread -I/usr/include/guile/2.0 '
pkg_cv_GUILE_LIBS='-lguile-2.0 -lgc '
pkg_cv_SQLITE3_CFLAGS=' '
pkg_cv_SQLITE3_LIBS='-lsqlite3 '
## ----------------- ##
## Output variables. ##
## ----------------- ##
ACLOCAL='${SHELL} /root/guix/build-aux/missing aclocal-1.13'
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='$${TAR-tar}'
AM_BACKSLASH='\'
AM_DEFAULT_V='$(AM_DEFAULT_VERBOSITY)'
AM_DEFAULT_VERBOSITY='1'
AM_V='$(V)'
AUTOCONF='${SHELL} /root/guix/build-aux/missing autoconf'
AUTOHEADER='${SHELL} /root/guix/build-aux/missing autoheader'
AUTOMAKE='${SHELL} /root/guix/build-aux/missing automake-1.13'
AWK='gawk'
BUILD_DAEMON_FALSE='#'
BUILD_DAEMON_TRUE=''
BZIP2='/bin/bzip2'
CC='gcc'
CCDEPMODE='depmode=gcc3'
CFLAGS='-g -O2'
CPP='gcc -E'
CPPFLAGS=''
CXX='g++'
CXXCPP='g++ -E'
CXXDEPMODE='depmode=gcc3'
CXXFLAGS='-g -O2'
CYGPATH_W='echo'
DEFS='-DHAVE_CONFIG_H'
DEPDIR='.deps'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP='/bin/grep -E'
EXEEXT=''
GETTEXT_MACRO_VERSION='0.18'
GMSGFMT=':'
GMSGFMT_015=':'
GREP='/bin/grep'
GUILD='/usr/bin/guild'
GUILE='/usr/bin/guile'
GUILE_CFLAGS='-pthread -I/usr/include/guile/2.0 '
GUILE_CONFIG='/usr/bin/guile-config'
GUILE_LIBS='-lguile-2.0 -lgc '
GUILE_TOOLS='/usr/bin/guile-tools'
GUIX_TEST_ROOT='/root/guix/test-tmp'
GZIP='/bin/gzip'
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='$(install_sh) -c -s'
INTLLIBS=''
INTL_MACOSX_LIBS=''
LDFLAGS=''
LIBGCRYPT='libgcrypt'
LIBGCRYPT_CFLAGS='-I/include'
LIBGCRYPT_LIBS='-L/lib -lgcrypt'
LIBGCRYPT_PREFIX=''
LIBICONV='-liconv'
LIBINTL=''
LIBOBJS=''
LIBS=''
LTLIBICONV='-liconv'
LTLIBINTL=''
LTLIBOBJS=''
MAKEINFO='${SHELL} /root/guix/build-aux/missing makeinfo'
MKDIR_P='/bin/mkdir -p'
MSGFMT=':'
MSGFMT_015=':'
MSGMERGE=':'
NIXPKGS=''
NIX_HASH=''
NIX_INSTANTIATE='nix-instantiate'
NIX_PREFIX=''
OBJEXT='o'
PACKAGE='guix'
PACKAGE_BUGREPORT='bug-guix@gnu.org'
PACKAGE_NAME='GNU Guix'
PACKAGE_STRING='GNU Guix 0.3'
PACKAGE_TARNAME='guix'
PACKAGE_URL='http://www.gnu.org/software/guix/'
PACKAGE_VERSION='0.3'
PATH_SEPARATOR=':'
PKG_CONFIG='/usr/bin/pkg-config'
PKG_CONFIG_LIBDIR=''
PKG_CONFIG_PATH=''
POSUB='po'
RANLIB='ranlib'
SET_MAKE=''
SHELL='/bin/bash'
SQLITE3_CFLAGS=' '
SQLITE3_LIBS='-lsqlite3 '
STRIP=''
USE_NLS='yes'
VERSION='0.3'
XGETTEXT=':'
XGETTEXT_015=':'
XGETTEXT_EXTRA_OPTIONS=''
XZ='/usr/bin/xz'
ac_ct_CC='gcc'
ac_ct_CXX='g++'
am__EXEEXT_FALSE=''
am__EXEEXT_TRUE='#'
am__fastdepCC_FALSE='#'
am__fastdepCC_TRUE=''
am__fastdepCXX_FALSE='#'
am__fastdepCXX_TRUE=''
am__include='include'
am__isrc=''
am__leading_dot='.'
am__nodep='_no'
am__quote=''
am__tar='$${TAR-tar} chof - "$$tardir"'
am__untar='$${TAR-tar} xf -'
bindir='${exec_prefix}/bin'
build='i686-unknown-gnu0.3'
build_alias=''
build_cpu='i686'
build_os='gnu0.3'
build_vendor='unknown'
datadir='${datarootdir}'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
dvidir='${docdir}'
exec_prefix='${prefix}'
guilemoduledir='${prefix}/share/guile/site/2.0'
guix_localstatedir='/usr/local/var'
guix_system='i686-'
host='i686-unknown-gnu0.3'
host_alias=''
host_cpu='i686'
host_os='gnu0.3'
host_vendor='unknown'
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='${datarootdir}/info'
install_sh='${SHELL} /root/guix/build-aux/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localedir='${datarootdir}/locale'
localstatedir='${prefix}/var'
mandir='${datarootdir}/man'
mkdir_p='/bin/mkdir -p'
oldincludedir='/usr/include'
pdfdir='${docdir}'
prefix='/usr/local'
program_transform_name='s,x,x,'
psdir='${docdir}'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
storedir='/nix/store'
sysconfdir='${prefix}/etc'
target_alias=''
## ----------- ##
## confdefs.h. ##
## ----------- ##
/* confdefs.h */
#define PACKAGE_NAME "GNU Guix"
#define PACKAGE_TARNAME "guix"
#define PACKAGE_VERSION "0.3"
#define PACKAGE_STRING "GNU Guix 0.3"
#define PACKAGE_BUGREPORT "bug-guix@gnu.org"
#define PACKAGE_URL "http://www.gnu.org/software/guix/"
#define PACKAGE "guix"
#define VERSION "0.3"
#define STDC_HEADERS 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STRING_H 1
#define HAVE_MEMORY_H 1
#define HAVE_STRINGS_H 1
#define HAVE_INTTYPES_H 1
#define HAVE_STDINT_H 1
#define HAVE_UNISTD_H 1
#define __EXTENSIONS__ 1
#define _ALL_SOURCE 1
#define _GNU_SOURCE 1
#define _POSIX_PTHREAD_SEMANTICS 1
#define _TANDEM_SOURCE 1
#define ENABLE_NLS 1
#define HAVE_GETTEXT 1
#define HAVE_DCGETTEXT 1
#define _FILE_OFFSET_BITS 64
#define HAVE_BZLIB_H 1
#define NIX_VERSION "0.0.0"
#define SYSTEM "i686-"
#define HAVE_CHROOT 1
#define HAVE_SCHED_H 1
#define HAVE_SYS_PARAM_H 1
#define HAVE_LUTIMES 1
#define HAVE_LOCALE 1
configure: exit 0
[-- Attachment #12: build-utils.log --]
[-- Type: text/x-log, Size: 1776 bytes --]
%%%% Starting test build-utils
Group begin: build-utils
Test begin:
test-name: "alist-cons-before"
Test end:
result-kind: pass
actual-value: ((a . 1) (x . 42) (b . 2) (c . 3))
expected-value: ((a . 1) (x . 42) (b . 2) (c . 3))
Test begin:
test-name: "alist-cons-before, reference not found"
Test end:
result-kind: pass
actual-value: ((a . 1) (b . 2) (c . 3) (x . 42))
expected-value: ((a . 1) (b . 2) (c . 3) (x . 42))
Test begin:
test-name: "alist-cons-after"
Test end:
result-kind: pass
actual-value: ((a . 1) (b . 2) (x . 42) (c . 3))
expected-value: ((a . 1) (b . 2) (x . 42) (c . 3))
Test begin:
test-name: "alist-cons-after, reference not found"
Test end:
result-kind: pass
actual-value: ((a . 1) (b . 2) (c . 3) (x . 42))
expected-value: ((a . 1) (b . 2) (c . 3) (x . 42))
Test begin:
test-name: "alist-replace"
Test end:
result-kind: pass
actual-value: ((a . 1) (b . 77) (c . 3))
expected-value: ((a . 1) (b . 77) (c . 3))
Test begin:
test-name: "alist-replace, key not found"
Test end:
result-kind: pass
actual-value: #t
Test begin:
test-name: "fold-port-matches"
Test end:
result-kind: pass
actual-value: ("Guix" "Guix" "Guix")
expected-value: ("Guix" "Guix" "Guix")
Test begin:
test-name: "fold-port-matches, trickier"
Test end:
result-kind: pass
actual-value: ("Guix" "guiX" "Guix" "guix" "Guix")
expected-value: ("Guix" "guiX" "Guix" "guix" "Guix")
Test begin:
test-name: "fold-port-matches, with unmatched chars"
Test end:
result-kind: pass
actual-value: ("Guix" #\, #\space "guix" #\, #\space #\G #\u #\i "Guix" "guiX" #\, #\space "Guix")
expected-value: ("Guix" #\, #\space "guix" #\, #\space #\G #\u #\i "Guix" "guiX" #\, #\space "Guix")
Group end: build-utils
# of expected passes 9
[-- Attachment #13: base32.log --]
[-- Type: text/x-log, Size: 526 bytes --]
%%%% Starting test base32
Group begin: base32
Test begin:
test-name: "bytevector->base32-string"
Test end:
result-kind: pass
actual-value: #t
Test begin:
test-name: "base32-string->bytevector"
Test end:
result-kind: pass
actual-value: #t
Test begin:
test-name: "nix-base32-string->bytevector"
Test end:
result-kind: pass
actual-value: #t
Test begin:
test-name: "sha256 & bytevector->nix-base32-string"
Test end:
result-kind: skip
Group end: base32
# of expected passes 3
# of skipped tests 1
next prev parent reply other threads:[~2013-07-05 9:06 UTC|newest]
Thread overview: 19+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-07-02 15:06 FTBFS on GNU/Hurd Matthew Lien
2013-07-02 18:53 ` Cyril Roelandt
2013-07-02 21:13 ` Ludovic Courtès
2013-07-03 7:42 ` Matthew Lien
2013-07-02 21:09 ` Ludovic Courtès
2013-07-03 7:46 ` Matthew Lien
2013-07-03 9:38 ` Ludovic Courtès
2013-07-03 15:58 ` Matthew Lien
2013-07-04 11:46 ` Ludovic Courtès
2013-07-04 14:00 ` Matthew Lien
2013-07-04 14:23 ` Ludovic Courtès
2013-07-04 15:40 ` Matthew Lien
2013-07-04 20:42 ` Ludovic Courtès
2013-07-05 9:05 ` BlueT - Matthew Lien - 練喆明 [this message]
2013-07-05 9:55 ` Ludovic Courtès
2013-07-05 11:16 ` BlueT - Matthew Lien - 練喆明
2013-07-05 11:47 ` Ludovic Courtès
2013-07-04 20:54 ` Ludovic Courtès
2013-07-05 9:30 ` BlueT - Matthew Lien - 練喆明
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
List information: https://guix.gnu.org/
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=51D68C61.4020806@BlueT.org \
--to=bluet@bluet.org \
--cc=bug-guix@gnu.org \
--cc=ludo@gnu.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
Code repositories for project(s) associated with this public inbox
https://git.savannah.gnu.org/cgit/guix.git
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).